var self;
var bankName, bankId, support, sBankName, bankCode, bankSum;

var choicebank;
var banklist_sub;

var flag = 0;
mui.plusReady(function() {
	self = plus.webview.currentWebview();
	bankName = self.bankName;
	bankId = self.bankId;
	support = self.support;
	sBankName = self.sBankName;
	bankCode = self.bankCode;
	bankSum = self.bankSum;

	choicebank = plus.webview.getWebviewById('choicebank');
	banklist_sub = plus.webview.getWebviewById('banklist_sub');

	document.getElementById('bankName').value = bankName;
	init();
	document.getElementById('protcheck').addEventListener('change', function() {
		var value = this.checked ? "true" : "false";
		if(value == "false") {
			document.getElementById('addbank').setAttribute('disabled', 'disabled');
		} else {
			document.getElementById('addbank').removeAttribute('disabled');
		}
	});

	document.getElementById('yzmBtn').addEventListener('tap', function() {
		bindBank('yzm');
	});

	document.getElementById('addbank').addEventListener('tap', function() {
		bindBank('submit');
	});
	document.getElementById('prot').addEventListener('tap', function() {
		mui.openWindow({
			url: 'superioritydoc.html',
			id: 'superioritydoc',
			show: {
				duration: config.DURATION
			},
			waiting: {
				autoShow: false
			}
		});
	});

});

function init() {
	var url = config.SERVER_URL + 'esb/account/customer/ismodify';
	var data = {
		customerId: customerId,
		productType: config.PRODUCTTYPE
	};

	ajaxPost(url, data, function(data) {
		console.log(JSON.stringify(data));
		if(data.success) {
			if(data.attr.modifyInfo == null) {
				return;
			}

			var info = data.attr.modifyInfo;
			if(info.name != null && info.name != "") {
				var name = document.getElementById('customerName');
				name.value = info.name;
				flag = 1;
				name.setAttribute('disabled', 'disabled');
			}
			if(info.cardId != null && info.cardId != "") {
				var cardNo = document.getElementById('cardNo');
				cardNo.setAttribute('data-value', info.cardId);
				cardNo.value = hideCode(info.cardId);
				cardNo.setAttribute('disabled', 'disabled');
			}
		} else {
			if(data.result != null) {
				if(data.result == "W9999999") {
					if(localStorage.getItem('isopen') != "true") {
						localStorage.setItem('islogin', 'false');
						localStorage.removeItem('customerId');
						mui.openWindow({
							url: 'login.html',
							id: 'login',
							show: {
								duration: config.DURATION
							},
							extras: {
								relogin: true
							}
						});
						localStorage.setItem('isopen', 'true');
					}
					return;
				}
			}
		}
	});
}

function bindBank(type) {
	var url = config.SERVER_URL + 't003/yltpp/credit/bankcardbind';
	var data = {};
	var customerName = document.getElementById('customerName');
	var cNameVal = customerName.value.trim();
	var cardNo = document.getElementById('cardNo');
	var cardNoVal = cardNo.value.trim();
	var bankCardNo = document.getElementById('bankCardNo');
	var bankCardNoVal = bankCardNo.value.trim();
	var mobile = document.getElementById('mobile');
	var mobileVal = mobile.value.trim();
	var yzm = document.getElementById('yzm');
	var yzmVal = yzm.value.trim();

	if(cNameVal == "") {
		mui.alert('姓名不能为空!', '温馨提示', function() {
			focus(customerName);
		});
		return;
	}

	if(!isChinese(cNameVal)) {
		mui.alert('姓名只能为中文!', '温馨提示', function() {
			focus(customerName);
		});
		return;
	}

	if(cardNoVal == "") {
		mui.alert('身份证不能为空', '温馨提示', function() {
			focus(cardNo);
		});
		return;
	}

	if(cardNoVal.indexOf('*') < 0) {
		cardNo.setAttribute('data-value', cardNoVal);
	} else {
		if(cardNo.getAttribute('data-value') != null && cardNo.getAttribute('data-value') != "") {
			cardNoVal = cardNo.getAttribute('data-value');
		} else {
			cardNo.setAttribute('data-value', cardNoVal);
		}
	}

	if(!isCardNo(cardNoVal)) {
		mui.alert('身份证格式不正确', '温馨提示', function() {
			focus(cardNo);
		});
		return;
	}

	if(bankCardNoVal == "") {
		mui.alert('银行卡号不能为空', '温馨提示', function() {
			focus(bankCardNo);
		});
		return;
	}

	if(!isBankCard(bankCardNoVal)) {
		mui.alert('银行卡号格式不正确', '温馨提示', function() {
			focus(bankCardNo);
		});
		return;
	}

	if(mobileVal == "") {
		mui.alert('手机号不能为空', '温馨提示', function() {
			focus(mobile);
		});
		return;
	}

	if(!isPhoneNo(mobileVal)) {
		mui.alert('手机号格式不正确', '温馨提示', function() {
			focus(mobile);
		});
		return;
	}

	if(type == 'submit') {
		if(yzmVal == "") {
			mui.alert('验证码不能为空', '温馨提示', function() {
				focus(yzm);
			});
			return;
		}
		data['checkCode'] = yzmVal;
	}

	data['customerId'] = customerId;
	data['customerName'] = cNameVal;
	data['cardNo'] = cardNoVal;
	data['bankCardNo'] = bankCardNoVal;
	data['bankName'] = bankName;
	data['bankNameCode'] = bankCode;
	data['bankNameCode'] = bankCode;
	data['mobile'] = mobileVal;
	data['payPassword'] = '123456';
	data['flag'] = flag;
	if(flag == 0) {
		data['isPay'] = '1';
	}

	data['channelNo'] = support;
	data['shortBankName'] = sBankName;
	data['productType'] = config.PRODUCTTYPE;
	console.log(JSON.stringify(data));

	plus.nativeUI.showWaiting(config.PROCESS, waitOption);
	ajaxPost(url, data, function(data) {
		console.log(JSON.stringify(data));
		plus.nativeUI.closeWaiting();
		if(data.success) {
			if(type == 'submit') {
				choicebank.hide();
				choicebank.close();
				mui.fire(banklist_sub, 'ref', {});
				localStorage.setItem('bankflagid', customerId);
				localStorage.setItem('bankflag', '1');
				mui.alert(data.message, '温馨提示', function() {
					mui.back();
				});
			} else {
				mui.alert(data.message, '温馨提示', function() {
					countdown(60, document.getElementById('yzmBtn'));
				});
			}
		} else {
			mui.alert(data.message, '温馨提示', function() {});
		}
	});

}