var config = {},
	auth = {},
	waiting_op = {};

config = {
	SERVER_URL: "https://i.yizhenmoney.com/",
	BAK_SERVER_URL: "http://192.168.220.194:9001/",
	VERSION_URL: "http://h5.yizhenmoney.com/Download/update.json",
	APP_NAME: '指尖钱包',
	IOS: 'iOS',
	ANDROID: 'Android',
	DURATION: 200,
	WAITING: '加 载 中...',
	PROCESS: '处理中...',
	PRODUCTTYPE: 'T003',
	VERSION: '2.2',
	SUPPORT: '00320006',
	APPLTYPE: "00430001",
	PAYING: "00629999",
	PAYERROR: "00621111",
	PAYSUCCESS: "00620000"
};

auth = {
	JD: 'A00730011',
	EMAIL: 'A00730012',
	PHONE: 'A00730014',
	XUEXIN: 'A00730002',
	PERSON: 'A00730001',
	IDCARD: 'A00730015',
	CONTACTS: 'A00730020',
	EDIT: '01400009',
	NOTEDIT: '01400001',
	UNAUTH: '01300000',
	AUTHSUCCESS: '01300001',
	AUTHING: '01300005',
	AUTHLOST: '01300009'
};

waitOption = {
	back: "none",
	padding: "25px"
};
setpanel();

var customerId = localStorage.getItem('customerId');

function setpanel() {
	var panel = document.getElementById('panel');
	if(panel != null) {
		panel.style.height = (document.body.scrollHeight) + 'px';
	}
}

function lockScreen() {
	var mask = document.getElementById('mask');
	if(mask != null) {
		mask.classList.remove('mui-hidden');
		mask.style.height = (document.body.scrollHeight - 44) + 'px';
	}
}

function request(paras) {
	var url = location.href;
	var paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
	var paraObj = {};
	for(i = 0; j = paraString[i]; i++) {
		paraObj[j.substring(0, j.indexOf("=")).toLowerCase()] = j.substring(j.indexOf("=") + 1, j.length);
	}
	var returnValue = paraObj[paras.toLowerCase()];
	if(typeof(returnValue) == "undefined") {
		return "";
	} else {
		return returnValue;
	}
}
var platform = "";
checkPlatform();

function checkPlatform() {
	if(/android/i.test(navigator.userAgent)) {
		platform = 'Android';
	}
	if(/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) {
		platform = 'iOS';
	}
	if(/MicroMessenger/i.test(navigator.userAgent)) {
		platform = 'MicroMessenger';
	}
}

function getUid() {
	var ran = Math.random() * 1000000;
	var num = Math.random() * 1000000 + 1000000;
	num = parseInt(num, 10);
	return num;
}

function isChinese(temp) {
	var re = /[^\u4e00-\u9fa5]/;
	if(re.test(temp)) return false;
	return true;
}

function isPhoneNo(phone) {
	var pattern = /^1[34578]\d{9}$/;
	return pattern.test(phone);
}

// 验证身份证 
function isCardNo(card) {
	var pattern = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
	return pattern.test(card);
}

//邮箱
function isEmail(str) {
	var reg = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-])+/;
	return reg.test(str);
}

function ispwd(str) {
	var reg = /^[\da-zA-Z]+$/;
	return reg.test(str);
}

//银行卡号
function isBankCard(str) {
	var reg = /^(\d{16}|\d{19}|\d{18})$/;
	return reg.test(str);
}

function countdown(s, sendObj) {
	s--;
	sendObj.setAttribute('disabled', 'disabled');
	if(s == 0) {
		sendObj.innerHTML = '验 证 码';
		sendObj.removeAttribute('disabled');
	} else {
		sendObj.innerHTML = s + 's';
		setTimeout(function() {
			countdown(s, sendObj);
		}, 1000)
	}
}

function focus(obj) {
	obj.focus();
	setTimeout(function() {
		obj.focus();
	}, 150);
}

function hideCode(str) {
	var start = str.substr(0, 4);
	var end = str.substring(str.length - 4, str.length);
	return start + '****' + end;
}

function hideBankCode(str) {
	var start = str.substr(0, 4);
	var end = str.substring(str.length - 4, str.length);
	return start + '****' + end;
}

function hideBankCode2(str) {
	var start = str.substring(0, str.length - 4);
	var temp = '';
	for(var i = 0; i < start.length; i++) {
		temp += '*';
	}
	var end = str.substring(str.length - 4, str.length);
	return temp + end;
}

function hidemobileCode(str) {
	var start = str.substr(0, 3);
	var end = str.substring(str.length - 4, str.length);
	return start + '****' + end;
}

function getbankName(code) {
	if(banks != null) {
		for(var i = 0; i < banks.length; i++) {
			if(banks[i].bankCode == code) {
				return banks[i].bankName;
			}
		}
	}
}

function bytesToSize(bytes) {
	if(bytes === 0) return '0 B';
	var k = 1024, // or 1024
		sizes = ['B', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'],
		i = Math.floor(Math.log(bytes) / Math.log(k));
	return(bytes / Math.pow(k, i)).toPrecision(3) + ' ' + sizes[i];
}

function getUid() {
	var ran = Math.random() * 1000000;
	var num = Math.random() * 1000000 + 1000000;
	num = parseInt(num, 10);
	return num;
}

function waiting(title) {
	if(plus != null) {
		var options = {
			modal: true,
			padding: '25px',
			back: 'none'
		};
		plus.nativeUI.showWaiting(title, options);
	}
}

function waiting(title, modal) {
	if(plus != null) {
		var options = {
			modal: modal,
			padding: "25px",
			back: "none"
		};

		var w = plus.nativeUI.showWaiting(title, options);
	}
}

function ajaxGet(url, success) {
	console.log(url);
	mui.ajax({
		url: url,
		type: 'get',
		dataType: 'json',
		timeout: 30000,
		beforeSend: function(XMLHttpRequest) {
			XMLHttpRequest.setRequestHeader("version", config.VERSION);
			XMLHttpRequest.setRequestHeader("signature", localStorage.getItem('signature'));
		},
		success: success,
		error: function(eq, status, err) {
			console.log(status);
			if(plus != null) {
				plus.nativeUI.closeWaiting();
			}
			if(status == 'timeout') {
				mui.toast('连接超时');
			}
		}
	});
};


function ajaxPost(url, data, success) {
	console.log(url);
	mui.ajax({
		url: url,
		type: 'post',
		data: data,
		dataType: 'json',
		timeout: 30000,
		beforeSend: function(XMLHttpRequest) {
			XMLHttpRequest.setRequestHeader("version", config.VERSION);
			XMLHttpRequest.setRequestHeader("signature", localStorage.getItem('signature'));
		},
		success: success,
		error: function(eq, status, err) {
			console.log(JSON.stringify(eq));
			console.log(status);
			console.log(JSON.stringify(err));
			if(plus != null) {
				plus.nativeUI.closeWaiting();
			}
			if(status == 'timeout') {
				mui.toast('连接超时');
			}
		}
	});
};

function ajaxPost2(url, data, signature, success) {
	console.log(url);
	mui.ajax({
		url: url,
		type: 'post',
		data: data,
		dataType: 'json',
		timeout: 30000,
		beforeSend: function(XMLHttpRequest) {
			XMLHttpRequest.setRequestHeader("version", config.VERSION);
			XMLHttpRequest.setRequestHeader("signature", signature);
		},
		success: success,
		error: function(eq, status, err) {
			console.log(JSON.stringify(eq));
			console.log(status);
			console.log(JSON.stringify(err));
			if(plus != null) {
				plus.nativeUI.closeWaiting();
			}
			if(status == 'timeout') {
				mui.toast('连接超时');
			}
		}
	});
};

Date.prototype.Format = function(fmt) {
	var o = {
		"M+": this.getMonth() + 1, //月份 
		"d+": this.getDate(), //日 
		"h+": this.getHours(), //小时 
		"m+": this.getMinutes(), //分 
		"s+": this.getSeconds(), //秒 
		"q+": Math.floor((this.getMonth() + 3) / 3), //季度 
		"S": this.getMilliseconds() //毫秒 
	};
	if(/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	for(var k in o)
		if(new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
	return fmt;
}