var login;
mui.plusReady(function() {
	login = plus.webview.getWebviewById('login');
	document.getElementById('yzmBtn').addEventListener('tap', function() {
		var mobile = document.getElementById('mobile');

		if(mobile.value.trim() == "") {
			mui.alert('手机号不能为空！', '温馨提示', function() {
				focus(mobile);
			});
			return;
		}

		if(!isPhoneNo(mobile.value.trim())) {
			mui.alert('手机号格式不正确，请重填！', '温馨提示', function() {
				focus(mobile);
			});
			return;
		}

		var url = config.SERVER_URL + 't003/account/sendCheckcode';
		mui.ajax({
			url: url,
			type: 'post',
			data: {
				mobile: mobile.value.trim(),
				flag: 1,
				productType: config.PRODUCTTYPE
			},
			beforeSend: function(XMLHttpRequest) {
				XMLHttpRequest.setRequestHeader("version", "2.1");
			},
			success: function(data) {
				console.log(JSON.stringify(data));
				if(data.success) {
					mui.alert(data.message, '温馨提示', function() {
						countdown(60, document.getElementById('yzmBtn'));
						focus(document.getElementById('yzm'));
					});
				} else {
					mui.alert(data.message, '温馨提示', function() {

					});
				}
			},
			error: function(eq, status, err) {
				console.log(JSON.stringify(err));
			}
		});
	});
	document.getElementById('subBtn').addEventListener('tap', function() {
		var mobile = document.getElementById('mobile');
		var yzm = document.getElementById('yzm');
		var pwd = document.getElementById('pwd');
		var invite = document.getElementById('invite');
		var inviteDiv = document.getElementById('inviteDiv');

		var data = {};
		if(mobile.value.trim() == "") {
			mui.alert('手机号不能为空！', '温馨提示', function() {
				focus(mobile);
			});
			return;
		}

		if(!isPhoneNo(mobile.value.trim())) {
			mui.alert('手机号格式不正确，请重填！', '温馨提示', function() {
				focus(mobile);
			});
			return;
		}

		if(yzm.value.trim() == "") {
			mui.alert('验证码不能为空！', '温馨提示', function() {
				focus(yzm);
			});
			return;
		}

		if(yzm.value.trim().length < 4) {
			mui.alert('验证码应为4-6位数字！', '温馨提示', function() {
				focus(yzm);
			});
			return;
		}

		if(pwd.value.trim() == "") {
			mui.alert('密码不能为空！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		if(pwd.value.trim().length < 6) {
			mui.alert('密码应为6-20位字符！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		if(!ispwd(pwd.value.trim())) {
			mui.alert('密码只能为英文和数字！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		data['mobile'] = mobile.value.trim();
		data['newpassword'] = hex_md5(pwd.value.trim()).toUpperCase();
		data['checkcode'] = yzm.value.trim();
		data['productType'] = config.PRODUCTTYPE;
		console.log(JSON.stringify(data));

		waiting(config.WAITING);
		var url = config.SERVER_URL + 't003/account/password/reset';
		mui.ajax({
			url: url,
			type: 'post',
			data: data,
			beforeSend: function(XMLHttpRequest) {
				XMLHttpRequest.setRequestHeader("version", "2.1");
			},
			success: function(data) { 
				plus.nativeUI.closeWaiting();
				console.log(JSON.stringify(data));
				if(data.success) {
					mui.fire(login, 'refmobile', {
						mobile: mobile.value.trim()
					});
					mui.alert(data.message, '温馨提示', function() {
						setTimeout(function() {
							mui.back();
						}, 300);
					});    

				} else {
					mui.alert(data.message, '温馨提示', function() {
						yzm.value = "";
					});
				}
			},
			error: function(eq, status, err) {
				plus.nativeUI.closeWaiting();
				console.log(JSON.stringify(err));
			}
		});
	});
});

function focus(obj) {
	obj.focus();
	setTimeout(function() {
		obj.focus();
	}, 150);
}