var self;
var home, index, bill, tie;

function plusReady() {
	self = plus.webview.currentWebview();
	home = plus.webview.getWebviewById('views/home.html');
	bill = plus.webview.getWebviewById('views/bill.html');
	tie = plus.webview.getWebviewById('views/mentionamount.html');
	index = plus.webview.getWebviewById('index');

	var feeAmount = parseFloat(self.feeAmount).toFixed(2);
	var totalNumber = self.totalNumber;
	var bankNo = self.bankNo;
	var bankName = self.bankName;
	var loanAmount = parseFloat(self.loanAmount).toFixed(2);
	var realAmount = parseFloat(self.realAmount).toFixed(2);
	var totalShouldPayAmout = parseFloat(self.totalShouldPayAmout).toFixed(2);
	var loanEndDate = self.loanEndDate;

	document.getElementById('protcheck').addEventListener('change', function() {
		var value = this.checked ? "true" : "false";
		if(value == "false") {
			document.getElementById('subBtn').setAttribute('disabled', 'disabled');
		} else {
			document.getElementById('subBtn').removeAttribute('disabled');
		}
	});

	document.getElementById('feeAmount').innerHTML = feeAmount;
	document.getElementById('totalNumber').innerHTML = totalNumber;
	document.getElementById('bankNo').innerHTML = bankNo;
	document.getElementById('bankName').innerHTML = bankName;
	document.getElementById('loanAmount').innerHTML = loanAmount;
	document.getElementById('realAmount').innerHTML = realAmount;
	document.getElementById('loanEndDate').innerHTML = loanEndDate;
	document.getElementById('totalShouldPayAmout').innerHTML = totalShouldPayAmout;

	document.getElementById('prot').addEventListener('tap', function() {
		mui.openWindow({
			url: 'jkdoc.html',
			id: 'jkdoc',
			show: {
				duration: config.DURATION
			},
			extras: {
				applyAmout: loanAmount,
				applyDay: totalNumber,
				type: 'new'
			}
		});
	});

	document.getElementById('subBtn').addEventListener('tap', function() {
		if(bankNo == null || bankNo == "") {
			mui.alert('请先绑定银行卡！', '温馨提示', function() {
				//				mui.openWindow({
				//					url: 'banklist_main.html',
				//					id: 'banklist_main',
				//					show: {
				//						duration: config.DURATION
				//					}
				//				}); 
				//				setTimeout(function() {
				//					self.hide();
				//					self.close();
				//				}, 500);

				mui.fire(index, 'tie', {});
				self.hide();
				setTimeout(function() {
					self.close();
				}, 300);
			});
			return;

		}

		var url = config.SERVER_URL + 't003/loan/borrower';
		var data = {
			loanAmount: parseFloat(loanAmount),
			totalNumber: totalNumber,
			customerId: customerId,
			productType: config.PRODUCTTYPE
		};
		plus.nativeUI.showWaiting(config.PROCESS, waitOption);
		console.log(JSON.stringify(data));
		ajaxPost(url, data, function(data) {
			console.log(JSON.stringify(data));
			plus.nativeUI.closeWaiting();
			if(data.success) {
				var attr = data.attr;
				if(attr.code == 0) {
					//基本信息或银行卡信息不完整
					//					mui.openWindow({
					//						url: 'banklist_main.html',
					//						id: 'banklist_main',
					//						show: {
					//							duration: config.DURATION
					//						}
					//					});
					mui.fire(index, 'tie', {});
					self.hide();
					setTimeout(function() {
						self.close();
					}, 300);
				} else if(attr.code == 1) {
					//有一笔尚未结束的借款
					mui.fire(index, 'bill', {});
					self.hide();
					setTimeout(function() {
						self.close();
					}, 300);
				} else if(attr.code == 3) {
					//积分不足，请提额
					mui.fire(index, 'tie', {});
					self.hide();
					setTimeout(function() {
						self.close();
					}, 300);
				} else {
					if(data.message != null && data.message != "") {
						mui.alert(data.message, '温馨提示', function() {
							mui.fire(home, 'ref', {});
							mui.fire(bill, 'ref', {});
							mui.fire(tie, 'ref', {});
							mui.fire(index, 'bill', {});

							setTimeout(function() {
								mui.back();
							}, 300);
						});
					}
				}
			} else {
				if(data.result != null) {
					if(data.result == "W9999999") {
						if(localStorage.getItem('isopen') != "true") {
							localStorage.setItem('islogin', 'false');
							localStorage.removeItem('customerId');
							mui.openWindow({
								url: 'login.html',
								id: 'login',
								show: {
									duration: config.DURATION
								},
								extras: {
									relogin: true
								}
							});
							localStorage.setItem('isopen', 'true');
						}
						return;
					}
				}
				if(data.attr.code != null) {
					if(data.attr.code == "0") {
						mui.alert(data.message, '温馨提示', function() {
							mui.openWindow({
								url: 'banklist_main.html',
								id: 'banklist_main',
								show: {
									duration: config.DURATION
								}
							});
							setTimeout(function() {
								self.close();
							}, 200);
						});
						return;
					} else if(data.attr.code == "3" || data.attr.code == "2" || data.attr.code == "4") {
						mui.alert(data.message, '温馨提示', function() {
							mui.fire(index, 'tie', {});
							self.hide();
							setTimeout(function() {
								self.close();
							}, 300);
						});
						return;
					}
				}
				mui.alert(data.message, '温馨提示', function() {});
			}
		});
	});
};

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}