var qxdata = [{
	value: '00100001',
	text: '夫妻'
}, {
	value: '00100003',
	text: '父亲'
}, {
	value: '00100004',
	text: '母亲'
}, {
	value: '00100010',
	text: '子女'
}, {
	value: '00100002',
	text: '兄弟姐妹'
}, {
	value: '00100005',
	text: '其他亲属'
}];

var workdata = [{
	value: '00100009',
	text: '同事'
}, {
	value: '00100007',
	text: '同学'
}];

var friendData = [{
	value: '00100006',
	text: '朋友'
}, {
	value: '00100006',
	text: '辅导员'
}];
var zx1picker, zx2picker, workpicker;
(function($, doc) {
	$.init();
	$.ready(function() {

		zx1picker = new $.PopPicker();
		zx2picker = new $.PopPicker();
		workpicker = new $.PopPicker();

		zx1picker.setData(qxdata);
		zx2picker.setData(qxdata);
		workpicker.setData(workdata);

		initData();
		var zxqs1Type = doc.getElementById('zxqs1_type');
		zxqs1Type.addEventListener('tap', function(event) {

			zx1picker.show(function(items) {
				zxqs1Type.innerText = items[0].text;
				zxqs1Type.setAttribute('data-value', items[0].value);
			});
		}, false);

		var zxqs2Type = doc.getElementById('zxqs2_type');
		zxqs2Type.addEventListener('tap', function(event) {
			zx2picker.show(function(items) {
				zxqs2Type.innerText = items[0].text;
				zxqs2Type.setAttribute('data-value', items[0].value);
			});
		}, false);

		var workmateType = doc.getElementById('workmate_type');
		workmateType.addEventListener('tap', function(event) {
			workpicker.show(function(items) {
				workmateType.innerText = items[0].text;
				workmateType.setAttribute('data-value', items[0].value);
				changework(items[0].value);
			});
		}, false);

		mui.each(document.querySelectorAll('.img-btn'), function(event) {
			this.addEventListener('tap', function(ev) {
				var type = this.getAttribute('data-value');
				console.log(type);
				mui.openWindow({
					url: 'contacts_select.html',
					id: 'contacts_select',
					show: {
						duration: config.DURATION
					},
					extras: {
						type: type
					}
				});
			});
		});

		window.addEventListener('refmobile', function(event) {
			var mobile = event.detail.mobile;
			var type = event.detail.type;
			var name = event.detail.name;

			if(type == "zxqs1") {
				doc.getElementById('zxqs1_name').value = name;
				doc.getElementById('zxqs1_mobile').value = getMobile(mobile);

			} else if(type == "zxqs2") {
				doc.getElementById('zxqs2_name').value = name;
				doc.getElementById('zxqs2_mobile').value = getMobile(mobile);

			} else if(type == "workmate") {
				doc.getElementById('workmate_name').value = name;
				doc.getElementById('workmate_mobile').value = getMobile(mobile);

			} else if(type == "friend1") {
				doc.getElementById('friend1_name').value = name;
				doc.getElementById('friend1_mobile').value = getMobile(mobile);

			} else if(type == "friend2") {
				doc.getElementById('friend2_name').value = name;
				doc.getElementById('friend2_mobile').value = getMobile(mobile);
			}
		});
		getData();

		window.addEventListener('submitclick', function(event) {
			var zxqs1_name = doc.getElementById('zxqs1_name');
			var zxqs1_type = doc.getElementById('zxqs1_type');
			var zxqs1_mobile = doc.getElementById('zxqs1_mobile');
			var zxqs2_name = doc.getElementById('zxqs2_name');
			var zxqs2_type = doc.getElementById('zxqs2_type');
			var zxqs2_mobile = doc.getElementById('zxqs2_mobile');
			var workmate_name = doc.getElementById('workmate_name');
			var workmate_type = doc.getElementById('workmate_type');
			var workmate_mobile = doc.getElementById('workmate_mobile');

			var friend1_warpper = doc.getElementById('friend1_warpper');
			var friend2_warpper = doc.getElementById('friend2_warpper');

			if(zxqs1_name.value.trim() == "") {
				mui.alert('直系亲属姓名不能为空！', '温馨提示', function() {});
				return;
			}
			if(!isChinese(zxqs1_name.value.trim())) {
				mui.alert('直系亲属姓名必须为中文！', '温馨提示', function() {});
				return;
			}
			if(zxqs1_mobile.value.trim() == "") {
				mui.alert('直系亲属电话不能为空！', '温馨提示', function() {});
				return;
			}
			if(!isPhoneNo(zxqs1_mobile.value.trim())) {
				mui.alert('直系亲属电话格式不正确！', '温馨提示', function() {});
				return;
			}

			var json1 = {
				customerId: customerId,
				cnName: zxqs1_name.value.trim(),
				relation: zxqs1_type.getAttribute('data-value'),
				mobile: zxqs1_mobile.value.trim()
			};

			if(zxqs2_name.value.trim() == "") {
				mui.alert('直系亲属2姓名不能为空！', '温馨提示', function() {});
				return;
			}
			if(!isChinese(zxqs2_name.value.trim())) {
				mui.alert('直系亲属2姓名必须为中文！', '温馨提示', function() {});
				return;
			}

			if(zxqs2_mobile.value.trim() == "") {
				mui.alert('直系亲属2电话不能为空！', '温馨提示', function() {});
				return;
			}
			if(!isPhoneNo(zxqs2_mobile.value.trim())) {
				mui.alert('直系亲属2电话格式不正确！', '温馨提示', function() {});
				return;
			}

			var json2 = {
				customerId: customerId,
				cnName: zxqs2_name.value.trim(),
				relation: zxqs2_type.getAttribute('data-value'),
				mobile: zxqs2_mobile.value.trim()
			};

			if(workmate_name.value.trim() == "") {
				mui.alert(workmate_type.innerText + '姓名不能为空！', '温馨提示', function() {});
				return;
			}

			if(!isChinese(workmate_name.value.trim())) {
				mui.alert(workmate_type.innerText + '姓名必须为中文！', '温馨提示', function() {});
				return;
			}
			if(workmate_mobile.value.trim() == "") {
				mui.alert(workmate_type.innerText + '电话不能为空！', '温馨提示', function() {});
				return;
			}
			if(!isPhoneNo(workmate_mobile.value.trim())) {
				mui.alert(workmate_type.innerText + '电话格式不正确！', '温馨提示', function() {});
				return;
			}
			var json3 = {
				customerId: customerId,
				cnName: workmate_name.value.trim(),
				relation: workmate_type.getAttribute('data-value'),
				mobile: workmate_mobile.value.trim()
			};

			var json4;
			if(!friend1_warpper.classList.contains('mui-hidden')) {
				var friend1_name = doc.getElementById('friend1_name');
				var friend1_mobile = doc.getElementById('friend1_mobile');
				var friend1_type = doc.getElementById('friend1_type');

				if(friend1_name.value.trim() == "") {
					mui.alert('朋友姓名不能为空！', '温馨提示', function() {});
					return;
				}
				if(!isChinese(friend1_name.value.trim())) {
					mui.alert('朋友姓名必须为中文！', '温馨提示', function() {});
					return;
				}
				if(friend1_mobile.value.trim() == "") {
					mui.alert('朋友电话不能为空！', '温馨提示', function() {});
					return;
				}
				if(!isPhoneNo(friend1_mobile.value.trim())) {
					mui.alert('朋友电话格式不正确！', '温馨提示', function() {});
					return;
				}
				json4 = {
					customerId: customerId,
					cnName: friend1_name.value.trim(),
					relation: friend1_type.getAttribute('data-value'),
					mobile: friend1_mobile.value.trim()
				};
			}

			if(!friend2_warpper.classList.contains('mui-hidden')) {
				var friend2_name = doc.getElementById('friend2_name');
				var friend2_mobile = doc.getElementById('friend2_mobile');
				var friend2_type = doc.getElementById('friend2_type');

				if(friend2_name.value.trim() == "") {
					mui.alert('辅导员姓名不能为空！', '温馨提示', function() {});
					return;
				}
				if(!isChinese(friend2_name.value.trim())) {
					mui.alert('辅导员姓名必须为中文！', '温馨提示', function() {});
					return;
				}
				if(friend2_mobile.value.trim() == "") {
					mui.alert('辅导员电话不能为空！', '温馨提示', function() {});
					return;
				}
				if(!isPhoneNo(friend2_mobile.value.trim())) {
					mui.alert('辅导员电话格式不正确！', '温馨提示', function() {});
					return;
				}
				json4 = {
					customerId: customerId,
					cnName: friend2_name.value.trim(),
					relation: friend2_type.getAttribute('data-value'),
					mobile: friend2_mobile.value.trim()
				};
			}

			if(json1.relation == json2.relation) {
				mui.alert('直系亲属关系不能重复!', '温馨提示', function() {});
				return;
			}

			var url = config.SERVER_URL + 't003/account/customer/contactInfo/save';
			var data = {
				'cList[0].cnName': json1.cnName,
				'cList[0].relation': json1.relation,
				'cList[0].mobile': json1.mobile,
				'cList[0].customerId': json1.customerId,
				'cList[1].cnName': json2.cnName,
				'cList[1].relation': json2.relation,
				'cList[1].mobile': json2.mobile,
				'cList[1].customerId': json2.customerId,
				'cList[2].cnName': json3.cnName,
				'cList[2].relation': json3.relation,
				'cList[2].mobile': json3.mobile,
				'cList[2].customerId': json3.customerId,
				'cList[3].cnName': json4.cnName,
				'cList[3].relation': json4.relation,
				'cList[3].mobile': json4.mobile,
				'cList[3].customerId': json4.customerId
			};

			console.log(JSON.stringify(data));
			plus.nativeUI.showWaiting(config.PROCESS, waitOption);
			ajaxPost(url, data, function(data, status, xhr) {
				console.log(JSON.stringify(data));
				plus.nativeUI.closeWaiting();
				if(data.success) {
					mui.fire(tie, 'ref', {});
					mui.alert(data.message, '温馨提示', function() {
						mui.back();
					});
				} else {
					if(data.result != null) {
						if(data.result == "W9999999") {
							if(localStorage.getItem('isopen') != "true") {
								localStorage.setItem('islogin', 'false');
								localStorage.removeItem('customerId');
								mui.openWindow({
									url: 'login.html',
									id: 'login',
									show: {
										duration: config.DURATION
									},
									extras: {
										relogin: true
									}
								});
								localStorage.setItem('isopen', 'true');
							}
							return;
						}
					}
					if(data.message != null && data.message != "") {
						mui.alert(data.message, '温馨提示', function() {});
					}
				}
			});
		});
	});
})(mui, document);

var self, editable, tie;

function plusReady() {
	self = plus.webview.currentWebview();
	tie = plus.webview.getWebviewById('views/mentionamount.html');
	editable = self.editable;
	if(editable != 'true') {
		lockScreen();
	}
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function changework(index) {
	var fri1 = document.getElementById('friend1_warpper');
	var fri2 = document.getElementById('friend2_warpper');

	if(index == workdata[0].value) {
		fri1.classList.remove('mui-hidden');
		fri2.classList.add('mui-hidden');
	} else {
		fri1.classList.add('mui-hidden');
		fri2.classList.remove('mui-hidden');
	}
}

function getMobile(mb) {
	var mb1 = mb.split(' ');
	var mb2 = "";
	if(mb1.length > 1) {
		for(var z = 0; z < mb1.length; z++) {
			mb2 += mb1[z];
		}
	} else {
		mb2 = mb1[0];
	}
	var mb3 = mb2.split('-');
	var mb4 = "";
	if(mb3.length > 1) {
		for(var z = 0; z < mb3.length; z++) {
			mb4 += mb3[z];
		}
	} else {
		mb4 = mb3[0];
	}
	return mb4;
}

function initData() {
	document.getElementById("zxqs1_type").setAttribute('data-value', qxdata[0].value);
	document.getElementById("zxqs2_type").setAttribute('data-value', qxdata[1].value);
	document.getElementById("zxqs2_type").innerText = qxdata[1].text;
	document.getElementById("workmate_type").setAttribute('data-value', workdata[0].value);
	document.getElementById("friend1_type").setAttribute('data-value', friendData[0].value);
	document.getElementById("friend2_type").setAttribute('data-value', friendData[1].value);

	zx1picker.pickers[0].setSelectedValue("" + qxdata[0].value + "", 200);
	zx2picker.pickers[0].setSelectedValue("" + qxdata[1].value + "", 200);
	workpicker.pickers[0].setSelectedValue("" + workdata[0].value + "", 200);
}

function getData() {
	var url = config.SERVER_URL + 't003/account/customer/info';
	var data = {
		customerId: customerId,
		productType: config.PRODUCTTYPE
	};
	ajaxPost(url, data, function(data, status, xhr) {
		console.log(JSON.stringify(data));
		if(data.success) {
			var zxqs1_name = document.getElementById('zxqs1_name');
			var zxqs1_type = document.getElementById('zxqs1_type');
			var zxqs1_mobile = document.getElementById('zxqs1_mobile');
			var zxqs2_name = document.getElementById('zxqs2_name');
			var zxqs2_type = document.getElementById('zxqs2_type');
			var zxqs2_mobile = document.getElementById('zxqs2_mobile');
			var workmate_name = document.getElementById('workmate_name');
			var workmate_type = document.getElementById('workmate_type');
			var workmate_mobile = document.getElementById('workmate_mobile');

			var friend1_warpper = document.getElementById('friend1_warpper');
			var friend2_warpper = document.getElementById('friend2_warpper');

			var info = data.attr.contacts;
			if(info == null || info.length == 0) {
				return;
			}

			zxqs1_name.value = info[0].cnName;
			zxqs1_mobile.value = info[0].mobile;
			zxqs1_type.innerHTML = getRelation(info[0].relation);
			zxqs1_type.setAttribute('data-value', info[0].relation);

			zx1picker.pickers[0].setSelectedValue("" + info[0].relation + "", 200);

			zxqs2_name.value = info[1].cnName;
			zxqs2_mobile.value = info[1].mobile;
			zxqs2_type.innerHTML = getRelation(info[1].relation);
			zxqs2_type.setAttribute('data-value', info[1].relation);

			zx2picker.pickers[0].setSelectedValue("" + info[1].relation + "", 200);

			workmate_name.value = info[2].cnName;
			workmate_mobile.value = info[2].mobile;
			workmate_type.innerHTML = getRelation(info[2].relation);
			workmate_type.setAttribute('data-value', info[2].relation);

			workpicker.pickers[0].setSelectedValue("" + info[2].relation + "", 200);

			changework(info[2].relation);

			if(!friend1_warpper.classList.contains('mui-hidden')) {
				var friend1_name = document.getElementById('friend1_name');
				var friend1_mobile = document.getElementById('friend1_mobile');
				var friend1_type = document.getElementById('friend1_type');
				friend1_name.value = info[3].cnName;
				friend1_mobile.value = info[3].mobile;
				friend1_type.innerHTML = getRelation(info[3].relation);
				friend1_type.setAttribute('data-value', info[3].relation);
			}

			if(!friend2_warpper.classList.contains('mui-hidden')) {
				var friend2_name = document.getElementById('friend2_name');
				var friend2_mobile = document.getElementById('friend2_mobile');
				var friend2_type = document.getElementById('friend2_type');
				friend2_name.value = info[3].cnName;
				friend2_mobile.value = info[3].mobile;
				friend2_type.innerHTML = getRelation(info[3].relation);
				friend2_type.setAttribute('data-value', info[3].relation);
			}
		} else {
			if(data.message != null && data.message != "") {
				mui.toast(data.message);
			}
		}
	});
}

function getRelation(code) {
	var relation = '';
	for(var i = 0; i < qxdata.length; i++) {
		if(qxdata[i].value == code) {
			relation = qxdata[i].text;
		}
	}
	for(var i = 0; i < workdata.length; i++) {
		if(workdata[i].value == code) {
			relation = workdata[i].text;
		}
	}
	for(var i = 0; i < friendData.length; i++) {
		if(friendData[i].value == code) {
			relation = friendData[i].text;
		}
	}
	return relation;
}