mui.init();

var self;
var type;
var data = {};
var ul = document.getElementById('warpper');

function plusReady() {
	self = plus.webview.currentWebview();
	type = self.type;
	plus.contacts.getAddressBook(plus.contacts.ADDRESSBOOK_PHONE, function(addressbook) {
			addressbook.find(["displayName", "phoneNumbers"], function(contacts) {
					if(contacts.length == 0) {
						mui.alert('未获取到联系人，请确认是否已设置允许APP访问联系人信息', '温馨提示', function() {});
						return;
					}
					var oldgroup = '';
					var flag = 0;

					mui.each(contacts, function(index, item) {
						var SZM = makePy(item.displayName.toString()).toString();
						var s = SZM.substring(0, 1).toString();
						var rowid = getRowId(s) + index;
						if(item.phoneNumbers.length > 0) {
							var temp = {
								"tags": SZM,
								"index": s,
								"displayName": item.displayName,
								"name": item.name,
								"mobiles": item.phoneNumbers,
								"fudata": item
							};
							data[rowid] = temp;
						}
					});
					putData();

					initSelector(mui, window, document);
					mui("#warpper").on("tap", "li", function() {
						document.getElementById('searchBtn').blur();
						var fudata = this.getAttribute('data-fudata');
						mui.openWindow({
							url: 'contactsDetal.html',
							id: 'contactsDetal',
							show: {
								duration: config.DURATION
							},
							extras: {
								fudata: fudata,
								type:type
							}
						});
					});
				},
				function(e) {
					mui.alert('获取联系人信息失败', '温馨提示', function() {});
				});
		},
		function(e) {
			mui.alert('未授权APP获取联系人，请将应用设置为APP允许访问联系人信息', '温馨提示', function() {});
		});

	//	document.getElementById('searchBtn').addEventListener('input', function() {
	//		if(this.value.toString().trim() == "") {
	//			putData();
	//		}
	//	});

}
if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function putData() {
	var oldgroup = "";
	var indexSum = 0;
	//	ul.innerHTML = "";
	mui.each(data, function(key, item) {
		if(item.index == oldgroup) {
			indexSum++;
			var li = document.createElement('li');
			li.setAttribute('data-value', item.tags);
			li.setAttribute('data-tags', item.tags);
			li.setAttribute('data-fudata', JSON.stringify(item.fudata));
			li.className = 'mui-table-view-cell mui-indexed-list-item';
			var name = '';
			if(item.name != null) {
				name = item.name;
			}

			if(item.displayName != null) {
				name = item.displayName;
			}
			li.innerHTML = name;
			ul.appendChild(li);

		} else {
			var li = document.createElement('li');
			li.setAttribute('data-group', item.index);
			li.className = 'mui-table-view-divider mui-indexed-list-group';
			li.innerHTML = item.index;
			ul.appendChild(li);

			var l2 = document.createElement('li');
			l2.setAttribute('data-value', item.tags);
			l2.setAttribute('data-fudata', JSON.stringify(item.fudata));
			l2.className = 'mui-table-view-cell mui-indexed-list-item';
			var name = '';
			if(item.name != null) {
				name = item.name;
			}

			if(item.displayName != null) {
				name = item.displayName;
			}
			l2.innerHTML = name;
			ul.appendChild(l2);

			indexSum = 0;
		}
		oldgroup = item.index;
	});
}

function getRowId(s) {
	if(s == "A") {
		return 10000;
	} else if(s == "B") {
		return 20000;
	} else if(s == "C") {
		return 30000;
	} else if(s == "D") {
		return 40000;
	} else if(s == "E") {
		return 50000;
	} else if(s == "F") {
		return 60000;
	} else if(s == "G") {
		return 70000;
	} else if(s == "H") {
		return 80000;
	} else if(s == "I") {
		return 90000;
	} else if(s == "J") {
		return 100000;
	} else if(s == "K") {
		return 110000;
	} else if(s == "L") {
		return 120000;
	} else if(s == "M") {
		return 130000;
	} else if(s == "N") {
		return 140000;
	} else if(s == "O") {
		return 150000;
	} else if(s == "P") {
		return 160000;
	} else if(s == "Q") {
		return 170000;
	} else if(s == "R") {
		return 180000;
	} else if(s == "S") {
		return 190000;
	} else if(s == "T") {
		return 200000;
	} else if(s == "U") {
		return 210000;
	} else if(s == "V") {
		return 220000;
	} else if(s == "W") {
		return 230000;
	} else if(s == "X") {
		return 240000;
	} else if(s == "Y") {
		return 250000;
	} else if(s == "Z") {
		return 260000;
	} else {
		return 270000;
	}
}

function initSelector($, window, document) {
	var classSelector = function(name) {
		return '.' + $.className(name);
	}
	var IndexedList = $.IndexedList = $.Class.extend({
		/**
		 * 通过 element 和 options 构造 IndexedList 实例
		 **/
		init: function(holder, options) {
			var self = this;
			self.options = options || {};
			self.box = holder;
			if(!self.box) {
				throw "实例 IndexedList 时需要指定 element";
			}
			self.createDom();
			self.findElements();
			self.caleLayout();
			self.bindEvent();
		},
		createDom: function() {
			var self = this;
			self.el = self.el || {};
			//styleForSearch 用于搜索，此方式能在数据较多时获取很好的性能
			self.el.styleForSearch = document.createElement('style');
			(document.head || document.body).appendChild(self.el.styleForSearch);
		},
		findElements: function() {
			var self = this;
			self.el = self.el || {};
			self.el.search = self.box.querySelector(classSelector('indexed-list-search'));
			self.el.searchInput = self.box.querySelector(classSelector('indexed-list-search-input'));
			self.el.searchClear = self.box.querySelector(classSelector('indexed-list-search') + ' ' + classSelector('icon-clear'));
			self.el.bar = self.box.querySelector(classSelector('indexed-list-bar'));
			self.el.barItems = [].slice.call(self.box.querySelectorAll(classSelector('indexed-list-bar') + ' a'));
			self.el.inner = self.box.querySelector(classSelector('indexed-list-inner'));
			self.el.items = [].slice.call(self.box.querySelectorAll(classSelector('indexed-list-item')));
			self.el.liArray = [].slice.call(self.box.querySelectorAll(classSelector('indexed-list-inner') + ' li'));
			self.el.alert = self.box.querySelector(classSelector('indexed-list-alert'));
		},
		caleLayout: function() {
			var self = this;
			var withoutSearchHeight = (self.box.offsetHeight - self.el.search.offsetHeight) + 'px';
			self.el.bar.style.height = withoutSearchHeight;
			self.el.inner.style.height = withoutSearchHeight;
			var barItemHeight = ((self.el.bar.offsetHeight - 40) / self.el.barItems.length) + 'px';
			self.el.barItems.forEach(function(item) {
				item.style.height = barItemHeight;
				item.style.lineHeight = barItemHeight;
			});
		},
		scrollTo: function(group) {
			var self = this;
			var groupElement = self.el.inner.querySelector('[data-group="' + group + '"]');
			if(!groupElement || (self.hiddenGroups && self.hiddenGroups.indexOf(groupElement) > -1)) {
				return;
			}
			self.el.inner.scrollTop = groupElement.offsetTop;
		},
		bindBarEvent: function() {
			var self = this;
			var pointElement = null;
			var findStart = function(event) {
				if(pointElement) {
					pointElement.classList.remove('active');
					pointElement = null;
				}
				self.el.bar.classList.add('active');
				var point = event.changedTouches ? event.changedTouches[0] : event;
				pointElement = document.elementFromPoint(point.pageX, point.pageY);
				if(pointElement) {
					var group = pointElement.innerText;
					if(group && group.length == 1) {
						pointElement.classList.add('active');
						self.el.alert.innerText = group;
						self.el.alert.classList.add('active');
						self.scrollTo(group);
					}
				}
				event.preventDefault();
			};
			var findEnd = function(event) {
				self.el.alert.classList.remove('active');
				self.el.bar.classList.remove('active');
				if(pointElement) {
					pointElement.classList.remove('active');
					pointElement = null;
				}
			};
			self.el.bar.addEventListener($.EVENT_MOVE, function(event) {
				findStart(event);
			}, false);
			self.el.bar.addEventListener($.EVENT_START, function(event) {
				findStart(event);
			}, false);
			document.body.addEventListener($.EVENT_END, function(event) {
				findEnd(event);
			}, false);
			document.body.addEventListener($.EVENT_CANCEL, function(event) {
				findEnd(event);
			}, false);
		},
		search: function(keyword) {
			var self = this;
			keyword = (keyword || '').toLowerCase();
			var selectorBuffer = [];
			var groupIndex = -1;
			var itemCount = 0;
			var liArray = self.el.liArray;
			var itemTotal = liArray.length;
			self.hiddenGroups = [];
			console.log(liArray.length);
			var checkGroup = function(currentIndex, last) {
				if(itemCount >= currentIndex - groupIndex - (last ? 0 : 1)) {
					selectorBuffer.push(classSelector('indexed-list-inner li') + ':nth-child(' + (groupIndex + 1) + ')');
					self.hiddenGroups.push(liArray[groupIndex]);
				};
				groupIndex = currentIndex;
				itemCount = 0;
			}
			liArray.forEach(function(item) {
				var currentIndex = liArray.indexOf(item);
				if(item.classList.contains($.className('indexed-list-group'))) {
					checkGroup(currentIndex, false);
				} else {
					var text = (item.innerText || '').toLowerCase();
					var value = (item.getAttribute('data-value') || '').toLowerCase();
					var tags = (item.getAttribute('data-tags') || '').toLowerCase();
					if(keyword && text.indexOf(keyword) < 0 &&
						value.indexOf(keyword) < 0 &&
						tags.indexOf(keyword) < 0) {
						selectorBuffer.push(classSelector('indexed-list-inner li') + ':nth-child(' + (currentIndex + 1) + ')');
						itemCount++;
					}
					if(currentIndex >= itemTotal - 1) {
						checkGroup(currentIndex, true);
					}
				}
			});
			if(selectorBuffer.length >= itemTotal) {
				self.el.inner.classList.add('empty');
			} else if(selectorBuffer.length > 0) {
				self.el.inner.classList.remove('empty');
				self.el.styleForSearch.innerText = selectorBuffer.join(', ') + "{display:none;}";
			} else {
				self.el.inner.classList.remove('empty');
				self.el.styleForSearch.innerText = "";
			}
		},
		bindSearchEvent: function() {
			var self = this;
			self.el.searchInput.addEventListener('input', function() {
				var keyword = this.value;
				self.search(keyword);
			}, false);
			$(self.el.search).on('tap', classSelector('icon-clear'), function() {
				self.search('');
			}, false);
		},
		bindEvent: function() {
			var self = this;
			self.bindBarEvent();
			self.bindSearchEvent();
		}
	});

	//mui(selector).indexedList 方式
	$.fn.indexedList = function(options) {
		//遍历选择的元素
		this.each(function(i, element) {
			if(element.indexedList) return;
			element.indexedList = new IndexedList(element, options);
		});
		return this[0] ? this[0].indexedList : null;
	};

	var header = document.querySelector('header.mui-bar');
	var list = document.getElementById('list');
	//calc hieght
	list.style.height = (document.body.offsetHeight - header.offsetHeight) + 'px';
	//create
	window.indexedList = new mui.IndexedList(list);
}