mui.init();

var home, tie;
var url = config.SERVER_URL + 't003/rcm/html/mailAuthorize';

var btn = document.getElementById('subbtn');
var pic = document.getElementById('pic');
var codediv = document.getElementById('codediv');
var dulidiv = document.getElementById('dulidiv');
var account = document.getElementById('account');
var pwd = document.getElementById('pwd');
var code = document.getElementById('piccode');
var dulipwd = document.getElementById('dulipwd');
var protcheck = document.getElementById('protcheck');

var id = request('id');
var authenticate = request('authenticate');
var editable = request('editable');
var productType = request('productType');

if(authenticate == 'true') {
	//	mui.toast('已授权成功');
} else if(authenticate == 'lost') {
	//	mui.toast('授权失败，请重新授权');
}

if(editable != 'true') {
	lockScreen();
}

function plusReady() {
	home = plus.webview.getWebviewById('home');
	tie = plus.webview.getWebviewById('views/mentionamount.html');
	document.getElementById('prot').addEventListener('tap', function() {
		mui.openWindow({
			url: 'emaildoc.html',
			id: 'emaildoc',
			show: {
				duration: config.DURATION
			},
			waiting: {
				autoShow: false
			}
		});
	});

	document.getElementById('protcheck').addEventListener('change', function() {
		var value = this.checked ? "true" : "false";
		if(value == "false") {
			btn.setAttribute('disabled', 'disabled');
		} else {
			btn.removeAttribute('disabled');
		}

	});

	btn.addEventListener('tap', function() {
		btn.focus();
		var data = {};
		data['customerId'] = id;
		data['productType'] = productType;

		if(account.value.trim() == '') {
			mui.alert('邮箱不得为空！', '温馨提示', function() {});
			return;
		} else if(!isEmail(account.value.trim())) {
			mui.alert('邮箱错误！', '温馨提示', function() {});
			return;
		} else {
			data['mailAcco'] = account.value.trim();
		}

		if(pwd.value.trim() == '') {
			mui.alert('密码不能为空', '温馨提示', function() {});
			return;
		} else {
			data['password'] = pwd.value.trim();
		}

		if(!codediv.classList.contains('mui-hidden')) {
			if(code.value.trim() == "") {
				mui.alert('验证码不能为空', '温馨提示', function() {});
				return;
			} else {
				data['picCode'] = code.value.trim();
			}
		}

		if(!dulidiv.classList.contains('mui-hidden')) {
			if(dulipwd.value.trim() == "") {
				mui.alert('独立密码不能为空', '温馨提示', function() {});
				return;
			} else {
				data['dulipwd'] = dulipwd.value.trim();
			}
		}

		if(!protcheck.checked) {
			mui.alert('授权协议未勾选', '温馨提示', function() {});
			return;
		}

		lock();
		ajaxPost(url, data, success);

	});
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function success(data) {
	unlock();
	console.log(JSON.stringify(data));
	if(data == null) {
		return;
	}

	if(!data.success) {
		if(data.result != null) {
			if(data.result == "W9999999") {
				if(localStorage.getItem('isopen') != "true") {
					localStorage.setItem('islogin', 'false');
					localStorage.removeItem('customerId');
					mui.openWindow({
						url: 'login.html',
						id: 'login',
						show: {
							duration: config.DURATION
						},
						extras: {
							relogin: true
						}
					});
					localStorage.setItem('isopen', 'true');
				}
				return;
			}
		}
	}

	var result = data.result;
	if(result.state == 'E0004' || result.state == 'E0005' || result.state == 'E0006') {
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}
		mui.alert(message, '温馨提示', function() {});
		relogin();
		return;
	}

	if(result.state == 'E0002') {
		//		pic.src = 'data:image/jpg;base64,' + result.picCode;
		dulidiv.classList.remove('mui-hidden');
		dulipwd.value = '';
		dulipwd.focus();
		dulipwd.disabled = false;
		btn.disabled = false;
		if(!codediv.classList.contains('mui-hidden')) {
			codediv.classList.add('mui-hidden');
		}
	}

	if(result.state == 'E0003') {
		pic.src = 'data:image/jpg;base64,' + result.picCode;
		codediv.classList.remove('mui-hidden');
		code.value = '';
		code.focus();
		code.disabled = false;
		btn.disabled = false;
		if(!dulidiv.classList.contains('mui-hidden')) {
			dulidiv.classList.add('mui-hidden');
		}
	}

	if(result.state == 'E0001') {
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}
		mui.fire(tie, 'ref', {});
		mui.fire(home, 'ref', {});
		mui.alert(message, '温馨提示', function() {
			setTimeout(function() {
				mui.back();
			}, 300);
		});
	}
}

var relogin = function() {
	unlock();
	codediv.classList.add('mui-hidden');
	code.value = '';
	dulidiv.classList.add('mui-hidden');
	dulipwd.value = '';
	btn.disabled = false;
}

var lock = function() {
	mui.each(document.querySelectorAll('.input'), function(index, item) {
		if(item.classList.contains("mui-hidden")) {
			item.disabled = true;
		}
	});
	btn.disabled = true;
	protcheck.disabled = true;
	if(!codediv.classList.contains("mui-hidden")) {
		code.disabled = true;
	}
	if(!dulidiv.classList.contains("mui-hidden")) {
		dulipwd.disabled = true;
	}
}
var unlock = function() {
	mui.each(document.querySelectorAll('.input'), function(index, item) {
		item.disabled = false;
	});
	protcheck.disabled = false;
	btn.disabled = false;
	if(!codediv.classList.contains("mui-hidden")) {
		code.disabled = false;
		code.value = '';
	}
	if(!dulidiv.classList.contains("mui-hidden")) {
		dulipwd.disabled = false;
		dulipwd.value = '';

	}
}