mui.init();

function plusReady() {
	init();
	mui('.mui-table-view').on('tap', 'li', function(e) {
		var creditId = this.getAttribute('data-id');
		mui.openWindow({
			url: 'historyloandetail.html',
			id: 'historyloandetail',
			show: {
				duration: config.DURATION
			},
			waiting: {
				autoShow: false
			},
			extras: {
				creditId: creditId
			}
		});
	});
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function init() {
	var url = config.SERVER_URL + 't003/loan/credit/record';
	var data = {
		customerId: customerId
	};

	ajaxPost(url, data, function(data) {
		console.log(JSON.stringify(data));
		if(data.success) {
			var result = data.result;
			var ul = document.getElementById('warpper');
			var nodata = document.getElementById('nodata');

			if(result == null) {
				nodata.classList.remove('mui-hidden');
				ul.classList.add('mui-hidden');
				return;
			}
			if(result.length > 0) {
				nodata.classList.add('mui-hidden');
				ul.classList.remove('mui-hidden');
				var html = '';
				for(var i = 0; i < result.length; i++) {
					html += '<li data-id="' + result[i].creditId + '" class="mui-table-view-cell"><a href="#" class="mui-navigate-right mui-text-center"><span class="mui-pull-left">' + result[i].loanStartDate + '</span><span>' + result[i].loanAmount + '元</span><span class="mui-pull-right">' + result[i].totalNumber + '天</span></a></li>';
				}

				ul.innerHTML = html;
			} else {
				nodata.classList.remove('mui-hidden');
				ul.classList.add('mui-hidden');
			}
		} else {
			if(data.result != null) {
				if(data.result == "W9999999") {
					if(localStorage.getItem('isopen') != "true") {
						localStorage.setItem('islogin', 'false');
						localStorage.removeItem('customerId');
						mui.openWindow({
							url: 'login.html',
							id: 'login',
							show: {
								duration: config.DURATION
							},
							extras: {
								relogin: true
							}
						});
						localStorage.setItem('isopen', 'true');
					}
					return;
				}
			}
		}
	});
}

var a = {
	"message": "历史借款记录",
	"returnInfo": null,
	"returnCode": null,
	"success": true,
	"result": [{
		"customerId": null,
		"creditId": "8630",
		"feeAmount": null,
		"bankNo": null,
		"bankName": null,
		"loanAmount": "1000.00",
		"totalNumber": "15",
		"loanStartDate": "2016-08-23",
		"totalShouldPayAmout": null,
		"loanEndDate": null,
		"lateAmount": null,
		"realAmount": null,
		"arrearsAmount": null,
		"totalAmount": null,
		"autoCInfoDtl": null
	}, {
		"customerId": null,
		"creditId": "8615",
		"feeAmount": null,
		"bankNo": null,
		"bankName": null,
		"loanAmount": "1000.00",
		"totalNumber": "15",
		"loanStartDate": "2016-08-12",
		"totalShouldPayAmout": null,
		"loanEndDate": null,
		"lateAmount": null,
		"realAmount": null,
		"arrearsAmount": null,
		"totalAmount": null,
		"autoCInfoDtl": null
	}, {
		"customerId": null,
		"creditId": "8608",
		"feeAmount": null,
		"bankNo": null,
		"bankName": null,
		"loanAmount": "1000.00",
		"totalNumber": "15",
		"loanStartDate": "2016-08-12",
		"totalShouldPayAmout": null,
		"loanEndDate": null,
		"lateAmount": null,
		"realAmount": null,
		"arrearsAmount": null,
		"totalAmount": null,
		"autoCInfoDtl": null
	}]
};