mui.init();

var home, tie;

function plusReady() {
	home = plus.webview.getWebviewById('home');
	tie = plus.webview.getWebviewById('views/mentionamount.html');
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

var SERVER_URL = config.SERVER_URL + 't003/rcm/html/account/customer/cardInfo/';

var isFirst = true;

var inputfile = document.getElementById("file");
var inputfile1 = document.getElementById("file1");
var inputfile2 = document.getElementById("file2");

var baseStr1 = '',
	baseStr2 = '',
	baseStr3 = '';
// 用于压缩图片的canvas
var canvas = document.createElement("canvas");
var ctx = canvas.getContext('2d');
//瓦片canvas
var tCanvas = document.createElement("canvas");
var tctx = tCanvas.getContext("2d");
var maxsize = 100 * 1024;

var id = request('id');
var authenticate = request('authenticate');
var editable = request('editable');
var productType = request('productType');

init();

//初始化获取图片数据并显示
function init() {
	var url = SERVER_URL + 'audit?customerId=' + id;
	var data = {
		productType: productType
	};
	console.log(url);
	ajaxPost(url, data, success);
}

function success(data) {
	console.log(JSON.stringify(data));
	unlock();
	if(data.success == false) {
		if(data.result != null) {
			if(data.result == "W9999999") {
				if(localStorage.getItem('isopen') != "true") {
					localStorage.setItem('islogin', 'false');
					localStorage.removeItem('customerId');
					mui.openWindow({
						url: 'login.html',
						id: 'login',
						show: {
							duration: config.DURATION
						},
						extras: {
							relogin: true
						}
					});
					localStorage.setItem('isopen', 'true');
				}
				return;
			}
		}
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}
		if(message != '') {
			mui.alert(message, '温馨提示', function() {});
		}
		return;
	}
	setInit(data);
	var list = data.attr.cardList;
	for(var i = 0; i < list.length; i++) {
		isFirst = false;

		if(list[i].type == '00150001') {
			$(".pic-1").css("background-image", "url(" + list[i].filePath + ")");
		} else if(list[i].type == '00150002') {
			$(".pic-2").css("background-image", "url(" + list[i].filePath + ")");
		} else if(list[i].type == '00150003') {
			$(".pic-3").css("background-image", "url(" + list[i].filePath + ")");
		}
	}
	var info = data.attr.customerInfo;
	var nameVal = document.getElementById('name');
	var idcardVal = document.getElementById('idcard');

	if(info.cardId != null && info.name != '') {
		nameVal.value = info.name;
		nameVal.setAttribute('disabled', 'disabled');
	}
	if(info.cardId != null && info.cardId != '') {
		idcardVal.value = info.cardId.substr(0, 3) + '***************';
		idcardVal.setAttribute('data-code', info.cardId);
		idcardVal.setAttribute('disabled', 'disabled');
	}
}

//阻止ios穿透点击
document.getElementById('tempmask').addEventListener('tap', function() {
	document.getElementById('tempmask').classList.add('mui-hidden');
	document.getElementById('tempmask').classList.remove('mui-fullscreen');
});

//阻止ios穿透点击
setTimeout(function() {
	document.getElementById('tempmask').classList.add('mui-hidden');
	document.getElementById('tempmask').classList.remove('mui-fullscreen');
}, 350);

function setInit(data) {
	var attr = data.attr;
	authenticate = attr.authenticate;
	var edit = attr.editable;
	console.log(edit);
	console.log(authenticate);
	console.log(editable);
	if(editable != 'true' || edit != auth.EDIT) {
		console.log(11111);
		lockScreen();
	}

	if(authenticate == auth.AUTHSUCCESS) {
		lockScreen();
	}
}

document.getElementById('upload').addEventListener('tap', function() {
	upload('jpg');
});

document.getElementById('tempmask').addEventListener('tap', function() {
	this.classList.add('mui-hidden');
});

inputfile.onchange = function() {
	change(this, 'pic-1', 'file_load1');
};
inputfile1.onchange = function() {
	change(this, 'pic-2', 'file1_load2');
};
inputfile2.onchange = function() {
	change(this, 'pic-3', 'file2_load3');
};

//对大图片进行压缩
function compress(img) {
	var initSize = img.src.length;
	var width = img.width;
	var height = img.height;
	//大于四百万像素
	var ratio;
	if((ratio = width * height / 8000000) > 1) {
		ratio = Math.sqrt(ratio);
		width /= ratio;
		height /= ratio;
	} else {
		ratio = 1;
	}
	canvas.width = width;
	canvas.height = height;

	ctx.fillStyle = "#fff";
	ctx.fillRect(0, 0, canvas.width, canvas.height);

	var count;
	if((count = width * height / 8000000) > 1) {
		count = ~~(Math.sqrt(count) + 1); //计算要分成多少块瓦片
		//            计算每块瓦片的宽和高
		var nw = ~~(width / count);
		var nh = ~~(height / count);
		tCanvas.width = nw;
		tCanvas.height = nh;
		for(var i = 0; i < count; i++) {
			for(var j = 0; j < count; j++) {
				tctx.drawImage(img, i * nw * ratio, j * nh * ratio, nw * ratio, nh * ratio, 0, 0, nw, nh);
				ctx.drawImage(tCanvas, i * nw, j * nh, nw, nh);
			}
		}
	} else {
		ctx.drawImage(img, 0, 0, width, height);
	}
	//进行0.4倍压缩
	var ndata = canvas.toDataURL('image/jpeg', 0.4);
	console.log('压缩前：' + initSize);
	console.log('压缩后：' + ndata.length);
	console.log('压缩率：' + ~~(100 * (initSize - ndata.length) / initSize) + "%");
	tCanvas.width = tCanvas.height = canvas.width = canvas.height = 0;
	return ndata;
}

//隐藏loading蒙板
function hidden(id) {
	var file_load = document.getElementById('' + id + '');
	file_load.classList.add('mui-hidden');
}

//显示loading蒙板
function show(id) {
	var file_load = document.getElementById('' + id + '');
	file_load.classList.remove('mui-hidden');
}

function change(self, className, id) {
	var file = $(self).get(0).files[0];
	show(id);
	setTimeout(function() {
		if(!/\/(?:jpeg|png|gif|jpg)/i.test(file.type)) {
			hidden(id);
			return;
		}

		var orientation;
		EXIF.getData(file, function() {
			orientation = EXIF.getTag(this, 'Orientation');
		});

		var reader = new FileReader();
		reader.onload = function() {
			//针对ios图片横屏问题
			getImgData(this.result, orientation, function(data) {
				//				var result = this.result;
				var img = new Image();
				img.src = data;
				$("." + className + "").css("background-image", "url(" + data + ")");
				console.log(data.length);

				// 压缩
				if(img.complete) {
					callback();
				} else {
					img.onload = callback;
				}

				function callback() {
					$("." + className + "").css("src", compress(img));
					console.log(className);
					if(className == 'pic-1') {
						baseStr1 = compress(img);
					} else if(className == 'pic-2') {
						baseStr2 = compress(img);
					} else if(className == 'pic-3') {
						baseStr3 = compress(img);
					}
					img = null;
				}
				hidden(id);
			});
		};
		reader.readAsDataURL(file);
	}, 10);

	setTimeout(function() {
		hidden(id);
	}, 5000);
}

// img 图片的base64
//  dir exif获取的方向信息
// next 回调方法，返回校正方向后的base64
function getImgData(img, dir, next) {
	var image = new Image();
	image.onload = function() {
		var degree = 0,
			drawWidth, drawHeight, width, height;
		drawWidth = this.naturalWidth;
		drawHeight = this.naturalHeight;
		//改变一下图片大小
		var maxSide = Math.max(drawWidth, drawHeight);
		if(maxSide > 1024) {
			var minSide = Math.min(drawWidth, drawHeight);
			minSide = minSide / maxSide * 1024;
			maxSide = 1024;
			if(drawWidth > drawHeight) {
				drawWidth = maxSide;
				drawHeight = minSide;
			} else {
				drawWidth = minSide;
				drawHeight = maxSide;
			}
		}
		var canvas = document.createElement('canvas');
		canvas.width = width = drawWidth;
		canvas.height = height = drawHeight;
		var context = canvas.getContext('2d');
		//判断图片方向，重置canvas大小，确定旋转角度，iphone默认的是home键在右方的横屏拍摄方式
		switch(dir) {
			//iphone横屏拍摄，此时home键在左侧
			case 3:
				degree = 180;
				drawWidth = -width;
				drawHeight = -height;
				break;
				//iphone竖屏拍摄，此时home键在下方
			case 6:
				canvas.width = height;
				canvas.height = width;
				degree = 90;
				drawWidth = width;
				drawHeight = -height;
				break;
				//iphone竖屏拍摄，此时home键在上方
			case 8:
				canvas.width = height;
				canvas.height = width;
				degree = 270;
				drawWidth = -width;
				drawHeight = height;
				break;
		}
		//使用canvas旋转校正
		context.rotate(degree * Math.PI / 180);
		context.drawImage(this, 0, 0, drawWidth, drawHeight);
		//返回校正图片
		next(canvas.toDataURL("image/jpeg", .8));
	}
	image.src = img;
}

var lock = function() {
	mui.each(document.querySelectorAll('.input'), function(index, item) {
		item.disabled = true;
	});
	var btn = document.getElementById('upload');
	btn.disabled = true;
}
var unlock = function() {
	mui.each(document.querySelectorAll('.input'), function(index, item) {
		item.disabled = false;
	});
	var btn = document.getElementById('upload');
	btn.disabled = false;
}

function newBlob(data, datatype) {
	var out;
	try {
		out = new Blob([data], {
			type: datatype
		});
	} catch(e) {
		window.BlobBuilder = window.BlobBuilder ||
			window.WebKitBlobBuilder ||
			window.MozBlobBuilder ||
			window.MSBlobBuilder;

		if(e.name == 'TypeError' && window.BlobBuilder) {
			var bb = new BlobBuilder();
			bb.append(data.buffer);
			out = bb.getBlob(datatype);
		} else if(e.name == "InvalidStateError") {
			out = new Blob([data], {
				type: datatype
			});
		} else {}
	}
	return out;
}

// 判断是否需要blobbuilder
var needsFormDataShim = (function() {
		var bCheck = ~navigator.userAgent.indexOf('Android') &&
			~navigator.vendor.indexOf('Google') &&
			!~navigator.userAgent.indexOf('Chrome');
		return bCheck && navigator.userAgent.match(/AppleWebKit\/(\d+)/).pop() <= 534;
	})(),
	blobConstruct = !!(function() {
		try {
			return new Blob();
		} catch(e) {}
	})(),
	XBlob = blobConstruct ? window.Blob : function(parts, opts) {
		var bb = new(window.BlobBuilder || window.WebKitBlobBuilder || window.MSBlobBuilder);
		parts.forEach(function(p) {
			bb.append(p);
		});

		return bb.getBlob(opts ? opts.type : undefined);
	};

function FormDataShim() {
	var o = this,
		parts = [],
		boundary = Array(5).join('-') + (+new Date() * (1e16 * Math.random())).toString(32),
		oldSend = XMLHttpRequest.prototype.send;

	this.append = function(name, value, filename) {
		parts.push('--' + boundary + '/r/nContent-Disposition: form-data; name="' + name + '"');

		if(value instanceof Blob) {
			parts.push('; filename="' + (filename || 'blob') + '"/r/nContent-Type: ' + value.type + '/r/n/r/n');
			parts.push(value);
		} else {
			parts.push('/r/n/r/n' + value);
		}
		parts.push('/r/n');
	};

	XMLHttpRequest.prototype.send = function(val) {
		var fr,
			data,
			oXHR = this;
		if(val === o) {
			//注意/r/n ,否则有可能服务器解析不到参数
			parts.push('--' + boundary + '--/r/n');
			data = new XBlob(parts);
			fr = new FileReader();
			fr.onload = function() {
				oldSend.call(oXHR, fr.result);
			};
			fr.onerror = function(err) {
				throw err;
			};
			fr.readAsArrayBuffer(data);

			this.setRequestHeader('Content-Type', 'multipart/form-data; boundary=' + boundary);
			XMLHttpRequest.prototype.send = oldSend;
		} else {
			oldSend.call(this, val);
		}
	};
}

//把图片转成formdata 可以使用的数据
//把/s替换掉..要不然atob的时候会出错....
function dataURLtoBlob(data) {
	var tmp = data.split(',');

	tmp[1] = tmp[1].replace(/\s/g, '');
	var binary = atob(tmp[1]);
	var array = [];
	for(var i = 0; i < binary.length; i++) {
		array.push(binary.charCodeAt(i));
	}
	return new newBlob(new Uint8Array(array), 'image/jpeg');
}

function upload(img) {
	$("#upload").focus();
	var url = SERVER_URL + 'save';

	var nameVal = document.getElementById('name').value.trim();
	var idcard = document.getElementById('idcard');

	if(nameVal == "") {
		mui.alert('姓名不得为空！', '温馨提示', function() {});
		return;
	}

	if(!isChinese(nameVal)) {
		mui.alert('姓名必须是中文!', '温馨提示', function() {});
		return;
	}

	if(idcard.value.trim() == "") {
		mui.alert('身份证号不得为空！', '温馨提示', function() {});
		return;
	}

	//	if(!isCardNo(idcard.value.trim())) {
	//		mui.alert('身份证号格式不正确！', '温馨提示', function() {});
	//		return;
	//	}

	var idcardVal;
	console.log(idcard.value.trim());
	console.log(idcard.getAttribute('data-code'));
	if(idcard.value.trim().indexOf('*') > 0 && idcard.getAttribute('data-code') != null && idcard.getAttribute('data-code') != "") {
		idcardVal = idcard.getAttribute('data-code');
	} else if(idcard.value.trim().indexOf('*') < 0) {
		idcard.setAttribute('data-code', idcard.value.trim());
		idcardVal = idcard.getAttribute('data-code');
	}

	if(!isCardNo(idcardVal)) {
		mui.alert('身份证号格式不正确!', '温馨提示', function() {});
		return;
	}

	var blob1 = "",
		blob2 = "",
		blob3 = "";
	var fd = needsFormDataShim ? new FormDataShim() : new FormData();

	if(baseStr1 == "") {
		if(isFirst) {
			mui.alert('读取失败，请重新选择身份证正面', '提示', function() {});
			return;
		}

	} else {
		blob1 = dataURLtoBlob(baseStr1);
		fd.append('file', blob1, 'image' + getUid() + '.png');
	}
	if(baseStr2 == "") {
		if(isFirst) {
			mui.alert('读取失败，请重新选择身份证反面', '提示', function() {});
			return;
		}

	} else {
		blob2 = dataURLtoBlob(baseStr2);
		fd.append('file1', blob2, 'image' + getUid() + '.png');
	}
	if(baseStr3 == "") {
		if(isFirst) {
			mui.alert('读取失败，请重新选择手持身份证照片', '提示', function() {});
			return;
		}
	} else {
		blob3 = dataURLtoBlob(baseStr3);
		fd.append('file2', blob3, 'image' + getUid() + '.png');
	}

	fd.append('customerId', id);

	fd.append('cardId', idcardVal);
	fd.append('name', nameVal);
	console.log(idcardVal);
	fd.append('productType', productType);

	var prog = function(e) {
		console.log('prog');
		console.log(JSON.stringify(e));
	}
	var load = function(data) {
		//		var target = data.currentTarget;
		//		if(target.response != null) {
		//			var result = JSON.parse(target.response);
		//			if(result.success) {
		//				mui.fire(tie, 'ref', {});
		//				mui.fire(home, 'ref', {});
		//				if(result.message != '') {
		//					mui.alert(result.message, '温馨提示', function() {
		//						setTimeout(function() {
		//							mui.back();
		//						}, 300);
		//					});
		//				}
		//			} else {
		//				if(result.message != '') {
		//					mui.alert(result.message, '温馨提示', function() {
		//						unlock();
		//					});
		//				}
		//			}
		//		}
	}
	var error = function(e) {
		unlock();
		mui.alert('请求出错，请重试！', '温馨提示', function() {});
	}
	var abort = function(e) {
		mui.alert('连接超时', '温馨提示', function() {});
	}

	var xhr = new XMLHttpRequest();

	xhr.upload.addEventListener('progress', prog, false);
	xhr.addEventListener('load', load, false);
	xhr.addEventListener('error', error, false);
	xhr.addEventListener('abort', abort, false);

	xhr.onreadystatechange = function(data) {

		console.log(xhr.status);
		console.log(JSON.stringify(data));
		if(xhr.readyState == 4) {
			if(xhr.status == 200) {
				var target = data.currentTarget;
				console.log(target.response);
				if(target.response != null) {
					var result = JSON.parse(target.response);
					if(result.success) {
						mui.fire(tie, 'ref', {});
						mui.fire(home, 'ref', {});
						if(result.message != '') {
							mui.alert(result.message, '温馨提示', function() {
								setTimeout(function() {
									mui.back();
								}, 300);
							});
						}
					} else {
						unlock();
						if(result.message != '') {
							mui.alert(result.message, '温馨提示', function() {});
						}
					}
				}
			} else {
				unlock();
			}
		}
	}
	console.log(url);
	xhr.open('POST', url, true);
	xhr.setRequestHeader("version", config.VERSION);
	xhr.setRequestHeader("signature", localStorage.getItem('signature'));
	xhr.send(fd);
	lock();
}