mui.init();

var home, tie;
var self;
var id = '';
var authenticate = '';
var editable = '';
var productType = '';

var SERVER_URL = config.SERVER_URL + 't003/rcm/html/';

var step1 = 'mobileLogin';
var step2 = 'mobileAuthorize';
var stepindex = 1;

var btn = document.getElementById('subbtn');
var pic = document.getElementById('pic');
var codediv = document.getElementById('codediv');
var account = document.getElementById('account');
var pwd = document.getElementById('pwd');
var code = document.getElementById('piccode');
var msgcode = document.getElementById('msgcode');

function plusReady() {
	self = plus.webview.currentWebview();
	id = self.userid;
	authenticate = self.authenticate;
	editable = self.editable;
	productType = self.productType;

	home = plus.webview.getWebviewById('home');
	tie = plus.webview.getWebviewById('views/mentionamount.html');

	if(editable != 'true') {
		lockScreen();
	}
	init();

	btn.addEventListener('tap', function() {
		var url = '';
		var data = {};
		btn.focus();
		data['customerId'] = id;
		data['productType'] = productType;
		var name = document.getElementById('name');
		var IDNO = document.getElementById('IDNO');

		if(account.value.trim() == '') {
			mui.alert('手机号码不得为空！', '温馨提示', function() {});
			return;

		} else if(!isPhoneNo(account.value.trim())) {
			mui.alert('手机号码格式不正确!', '温馨提示', function() {});
			return;
		} else {
			data['mobileNo'] = account.value.trim();
		}
		if(pwd.value.trim() == '') {
			mui.alert('手机服务密码不得为空！', '温馨提示', function() {});
			return;
		} else {
			data['password'] = pwd.value.trim();
		}

		if(!name.classList.contains('mui-hidden')) {
			if(name.value.trim() == "") {
				mui.alert('姓名不能为空！', '温馨提示', function() {});
				return;
			}

			if(!isChinese(name.value.trim())) {
				mui.alert('姓名只能为中文！', '温馨提示', function() {});
				return;
			}
			data['name'] = account.value.trim();
		} else {
			data['name'] = "";
		}

		if(!IDNO.classList.contains('mui-hidden')) {
			var IDNOVal = IDNO.value.trim();
			if(IDNOVal == "") {
				mui.alert('身份证不能为空！', '温馨提示', function() {});
				return;
			}

			if(IDNOVal.indexOf('*') < 0) {
				IDNO.setAttribute('data-value', IDNOVal);
			} else {
				if(IDNO.getAttribute('data-value') != null && IDNO.getAttribute('data-value') != "") {
					IDNOVal = IDNO.getAttribute('data-value');
				} else {
					IDNO.setAttribute('data-value', IDNOVal);
				}
			}

			if(!isCardNo(IDNOVal)) {
				mui.alert('身份证格式不正确！', '温馨提示', function() {});
				return;
			}
			IDNO.value = hideCode(IDNOVal);
			data['idCard'] = IDNOVal;
			console.log(IDNOVal);
		} else {
			data['idCard'] = "";
		}

		if(!msgcode.classList.contains('mui-hidden')) {
			if(msgcode.value.trim() == "") {
				mui.alert('动态密码不得为空！', '温馨提示', function() {});
				return;
			}

			if(msgcode.value.trim().length < 4) {
				mui.alert('动态密码为4到6位！', '温馨提示', function() {});
				return;
			}
			data['messageCode'] = msgcode.value.trim();
		} else {
			data['messageCode'] = "";
		}

		if(!codediv.classList.contains('mui-hidden')) {
			if(code.value.trim() == "") {
				mui.alert('验证码不能为空!', '温馨提示', function() {});
				return;
			} else {
				data['picCode'] = code.value.trim();
			}
		} else {
			data['picCode'] = "";
		}

		if(stepindex == 1) {
			url = SERVER_URL + step1;
		} else {
			url = SERVER_URL + step2;
		}

		console.log(url);
		console.log(JSON.stringify(data));
		lock();
		mui.ajax({
			url: url,
			type: 'post',
			data: data,
			dataType: 'json',
			timeout: 30000,
			beforeSend: function(XMLHttpRequest) {
				XMLHttpRequest.setRequestHeader("version", config.VERSION);
				XMLHttpRequest.setRequestHeader("signature", localStorage.getItem('signature'));
			},
			success: success,
			error: function(eq, status, err) {
				console.log(JSON.stringify(eq));
				console.log(status);
				console.log(JSON.stringify(err));
				unlock();
				stepindex = 1;
				if(plus != null) {
					plus.nativeUI.closeWaiting();
				}
				if(status == 'timeout') {
					mui.toast('连接超时');
				}
			}
		});
	});
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function init() {
	account.value = localStorage.getItem('mobile');
	account.setAttribute('disabled', 'disabled');

	var url = config.SERVER_URL + 'esb/account/customer/ismodify';
	var data = {
		customerId: id,
		productType: config.PRODUCTTYPE
	};

	mui.ajax({
		url: url,
		type: 'post',
		data: data,
		dataType: 'json',
		timeout: 30000,
		beforeSend: function(XMLHttpRequest) {
			XMLHttpRequest.setRequestHeader("version", config.VERSION);
			XMLHttpRequest.setRequestHeader("signature", localStorage.getItem('signature'));
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.success) {
				if(data.attr.modifyInfo == null) {
					return;
				}
				var info = data.attr.modifyInfo;
				if(info.name != null && info.name != "") {
					var name = document.getElementById('name');
					name.value = info.name;
					name.setAttribute('data-init', 'true');
					name.setAttribute('disabled', 'disabled');
				}
				if(info.cardId != null && info.cardId != "") {
					var IDNO = document.getElementById('IDNO');
					IDNO.setAttribute('data-value', info.cardId);
					IDNO.setAttribute('data-init', 'true');
					IDNO.value = hideCode(info.cardId);
					IDNO.setAttribute('disabled', 'disabled');
				}
			}
		},
		error: function(eq, status, err) {
			console.log(JSON.stringify(eq));
			console.log(status);
			console.log(JSON.stringify(err));
			unlock();
			if(plus != null) {
				plus.nativeUI.closeWaiting();
			}
			if(status == 'timeout') {
				mui.toast('连接超时');
			}
		}
	});
}

function success(data) {
	console.log(JSON.stringify(data));

	unlock();
	if(data == null) {
		return;
	}

	if(data.result == null && data.success == false) {
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}
		mui.alert(message, '温馨提示', function() {});
		return;
	}

	if(data.state == 'M0003' || data.state == 'M0004' || data.state == 'M0005') {
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}
		mui.alert(message, '温馨提示', function() {});
		relogin();
		return;
	}

	if(data.state == 'M0002') {
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}
		mui.alert(message, '温馨提示', function() {});
		if(data.pic != null && data.pic != "") {
			pic.src = 'data:image/jpg;base64,' + data.pic;
			code.value = "";
			codediv.classList.remove('mui-hidden');
			code.removeAttribute('disabled');
		} else {
			codediv.classList.add('mui-hidden');
			code.setAttribute('disabled', 'disabled');
		}

		if(data.msgcode == 1) {
			msgcode.classList.remove('mui-hidden');
		} else {
			msgcode.classList.add('mui-hidden');
			msgcode.value = "";
		}

		if(data.name == 1) {
			document.getElementById('name').classList.remove('mui-hidden');
		} else {
			document.getElementById('name').classList.add('mui-hidden');
		}

		if(data.idno == 1) {
			document.getElementById('IDNO').classList.remove('mui-hidden');
		} else {
			document.getElementById('IDNO').classList.add('mui-hidden');
		}

		btn.removeAttribute('disabled');
		stepindex = 2;
	}

	if(data.state == 'M0001') {
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}
		mui.fire(tie, 'ref', {});
		mui.fire(home, 'ref', {});
		mui.alert(message, '温馨提示', function() {
			setTimeout(function() {
				mui.back();
			}, 300);
		});

	}
}

var relogin = function() {
	unlock();
	stepindex = 1;
	codediv.classList.add('mui-hidden');
	msgcode.classList.add('mui-hidden');
	document.getElementById('name').classList.add('mui-hidden');
	document.getElementById('IDNO').classList.add('mui-hidden');
	code.value = '';
	msgcode.value = '';
	btn.removeAttribute('disabled');
}

var lock = function() {
	mui.each(document.querySelectorAll('.input'), function(index, item) {
		item.setAttribute('disabled', 'disabled');
	});
	btn.setAttribute('disabled', 'disabled');
	if(!codediv.classList.contains("mui-hidden")) {
		code.setAttribute('disabled', 'disabled');
	}
}
var unlock = function() {
	mui.each(document.querySelectorAll('.input'), function(index, item) {
		if(item.id == 'name' || item.id == 'IDNO') {
			if(item.getAttribute('data-init') != 'true') {
				item.removeAttribute('disabled');
			} else {
				item.setAttribute('disabled', 'disabled');
			}
		}
		item.removeAttribute('disabled');
	});
	btn.removeAttribute('disabled');
	if(!codediv.classList.contains("mui-hidden")) {
		code.removeAttribute('disabled');
	}

	if(!msgcode.classList.contains('mui-hidden')) {
		msgcode.value = "";
	}
}