mui.init();

/*
 *  新浪分享: 00540002
 *  QQ空间: 00540003
 *  微信好友: 00540004
 *  QQ好友: 00540006
 *  朋友圈: 00540007
 *  短信: 00540009
 */

var shares = null;

var sina = {},
	qqzone = {},
	weixin = {},
	qq = {},
	weixinline = {},
	sms = {};

function plusReady() {
	init();
	updateSerivces();
	if(plus.os.name == "Android") {
		main = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass("android.content.Intent");
		File = plus.android.importClass("java.io.File");
		Uri = plus.android.importClass("android.net.Uri");
	}

	document.getElementById('weixin').addEventListener('tap', function() {
		var shareBts = [];
		// 更新分享列表
		var ss = shares['weixin'];
		var shareBt = {
			title: '微信好友',
			s: ss,
			x: 'WXSceneSession'
		};
		shareAction(shareBt, false);
	});
	document.getElementById('weixinline').addEventListener('tap', function() {
		var shareBts = [];
		// 更新分享列表
		var ss = shares['weixin'];
		var shareBt = {
			title: '微信朋友圈',
			s: ss,
			x: 'WXSceneTimeline'
		};
		shareAction(shareBt, false);
	});
	
	document.getElementById('sms').addEventListener('tap', function() {
		sendSMS();
	});
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function init() {
	var url = config.SERVER_URL + 't003/fortune/pre';
	var data = {
		customerId: customerId,
		productType: config.PRODUCTTYPE
	};
	mui.ajax({
		url: url,
		data: data,
		type: "post",
		dataType: 'json',
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.success) {
				if(data.attr.preList == null) {
					return;
				}
				if(data.attr.preList.length == 0) {
					return;
				}
				var preList = data.attr.preList;
				for(var i = 0; i < preList.length; i++) {
					if(preList[i].platformNo == '00540002') {
						//新浪分享
						sina = preList[i];
					} else if(preList[i].platformNo == '00540003') {
						qqzone = preList[i];
					} else if(preList[i].platformNo == '00540004') {
						weixin = preList[i];
					} else if(preList[i].platformNo == '00540006') {
						qq = preList[i];
					} else if(preList[i].platformNo == '00540007') {
						weixinline = preList[i];
					} else if(preList[i].platformNo == '00540009') {
						sms = preList[i];
					}
				}
			} else {
				mui.toast("获取分享数据失败");
			}
		},
		error: function(req, type, e) {
			console.log(type);
		}
	});
}

function updateSerivces() {
	plus.share.getServices(function(s) {
		shares = {};
		for(var i in s) {
			var t = s[i];
			shares[t.id] = t;
		}
	}, function(e) {
		mui.toast("获取分享服务列表失败：" + e.message);
	});
}

function shareAction(sb, bh) {
	var msg = {
		extra: {
			scene: sb.x
		}
	};

	if(sb.x == 'WXSceneSession') {
		//微信好友
		msg.href = weixin.preUrl;
		msg.title = weixin.preTitle;
		msg.content = weixin.preContent;
		msg.thumbs = weixin.imgUrl;
		msg.pictures = weixin.imgUrl;
	} else if(sb.x == 'WXSceneTimeline') {
		//微信朋友圈
		msg.href = weixinline.preUrl;
		msg.title = weixinline.preTitle;
		msg.content = weixinline.preContent;
		msg.thumbs = weixinline.imgUrl;
		msg.pictures = weixinline.imgUrl;
	}

	// 发送分享
	if(sb.s.authenticated) {
		shareMessage(msg, sb.s);
	} else {
		sb.s.authorize(function() {
			shareMessage(msg, sb.s);
		}, function(e) {
			mui.alert("认证授权失败：" + e.code + " - " + e.message, '温馨提示', function() {});
		});
	}
}

function shareMessage(msg, s) {
	s.send(msg, function() {
		mui.toast("分享到\"" + s.description + "\"成功！ ");
	}, function(e) {

	});
};

function sendSMS() {
	var msg = plus.messaging.createMessage(plus.messaging.TYPE_SMS);
	msg.to = [""];
	msg.bodyType = "CXYE";

	msg.body = sms.preContent + '\n详情地址:' + sms.preUrl;
	plus.messaging.sendMessage(msg);
}

var aa = {
	"success": true,
	"result": null,
	"message": "分享信息",
	"attr": {
		"recomCode": null,
		"preList": [{
			"preTitle": "千元借贷灵活还款，当日借当日放，不愁钱—指尖钱包",
			"preContent": "千元借贷灵活还款，当日借当日放，不愁钱！http://mp.weixin.qq.com/s?__biz=MzI2NjEyMzcwNQ==&mid=413274017&idx=1&sn=7a24c9bdb0cd98cf9bd6dfd3c87e77eb#rd",
			"imgUrl": "http://file.yizhenmoney.com/upload/ad/ad60.png",
			"preUrl": "http://mp.weixin.qq.com/s?__biz=MzI2NjEyMzcwNQ==&mid=413274017&idx=1&sn=7a24c9bdb0cd98cf9bd6dfd3c87e77eb#rd",
			"platformNo": "00540002"
		}, {
			"preTitle": "当天放款神器—指尖钱包",
			"preContent": "千元借贷灵活还款，当日借当日放，不愁钱！",
			"imgUrl": "http://file.yizhenmoney.com/upload/ad/ad60.png",
			"preUrl": "http://mp.weixin.qq.com/s?__biz=MzI2NjEyMzcwNQ==&mid=413274017&idx=1&sn=7a24c9bdb0cd98cf9bd6dfd3c87e77eb#rd",
			"platformNo": "00540003"
		}, {
			"preTitle": "当天放款神器—指尖钱包",
			"preContent": "千元借贷灵活还款，当日借当日放，不愁钱！",
			"imgUrl": "http://file.yizhenmoney.com/upload/ad/ad60.png",
			"preUrl": "http://mp.weixin.qq.com/s?__biz=MzI2NjEyMzcwNQ==&mid=413274017&idx=1&sn=7a24c9bdb0cd98cf9bd6dfd3c87e77eb#rd",
			"platformNo": "00540004"
		}, {
			"preTitle": "当天放款神器—指尖钱包",
			"preContent": "千元借贷灵活还款，当日借当日放，不愁钱！",
			"imgUrl": "http://file.yizhenmoney.com/upload/ad/ad60.png",
			"preUrl": "http://mp.weixin.qq.com/s?__biz=MzI2NjEyMzcwNQ==&mid=413274017&idx=1&sn=7a24c9bdb0cd98cf9bd6dfd3c87e77eb#rd",
			"platformNo": "00540006"
		}, {
			"preTitle": "千元借贷灵活还款，当日借当日放，不愁钱—指尖钱包",
			"preContent": "千元借贷灵活还款，当日借当日放，不愁钱！",
			"imgUrl": "http://file.yizhenmoney.com/upload/ad/ad60.png",
			"preUrl": "http://mp.weixin.qq.com/s?__biz=MzI2NjEyMzcwNQ==&mid=413274017&idx=1&sn=7a24c9bdb0cd98cf9bd6dfd3c87e77eb#rd",
			"platformNo": "00540007"
		}, {
			"preTitle": "千元借贷灵活还款，当日借当日放，不愁钱—指尖钱包",
			"preContent": "千元借贷灵活还款，当日借当日放，不愁钱！",
			"imgUrl": "http://file.yizhenmoney.com/upload/ad/ad60.png",
			"preUrl": "http://mp.weixin.qq.com/s?__biz=MzI2NjEyMzcwNQ==&mid=413274017&idx=1&sn=7a24c9bdb0cd98cf9bd6dfd3c87e77eb#rd",
			"platformNo": "00540009"
		}]
	}
};