mui.init();

var server = "",
	localDir = "update",
	localFile = "update.json",
	keyUpdate = "updateCheck", //取消升级键名
	keyAbort = "updateAbort", //忽略版本键名
	checkInterval = 172800000, //升级检查间隔,2天
	dir = null;
var wsId = '';

function plusReady() {
	wsId = plus.webview.currentWebview().id;
	plus.runtime.getProperty(plus.runtime.appid, function(info) {
		console.log("now version:" + info.version);
		var nowVer = info.version.split('.');
		nowVer = parseInt(nowVer[0] + nowVer[1] + nowVer[2]);
		update(nowVer);
	});
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function init() {
	var showGuide = localStorage.getItem("lauchFlag");
	if(showGuide == null) {
		mui.openWindow({
			id: 'guide',
			url: 'views/guide.html',
			show: {
				aniShow: 'none'
			},
			waiting: {
				autoShow: false
			}
		});
	} else {
		isLogin();
	}
	setTimeout(function() {
		plus.webview.currentWebview().close();
	}, 2000);
}

function isLogin() {
	mui.openWindow({
		id: 'index',
		url: 'index.html',
		show: {
			duration: config.DURATION
		},
		waiting: {
			autoShow: false
		}
	});
	//	var islogin = localStorage.getItem("islogin");
	//	if(islogin != 'true') {
	//		mui.openWindow({
	//			id: 'login',
	//			url: 'views/login.html',
	//			show: {
	//				duration: config.DURATION
	//			},
	//			waiting: {
	//				autoShow: false
	//			}
	//		});
	//	} else {
	//		mui.openWindow({
	//			id: 'index',
	//			url: 'index.html',
	//			show: {
	//				duration: config.DURATION
	//			},
	//			waiting: {
	//				autoShow: false
	//			}
	//		});
	//		//reLogin();
	//	}
}

var old_back = mui.back();
mui.back = function() {
	return false;
}

function reLogin() {
	if(localStorage.getItem('islogin') != 'true') {
		mui.openWindow({
			id: 'login',
			url: 'views/login.html',
			show: {
				duration: config.DURATION
			},
			waiting: {
				autoShow: false
			}
		});
		return;
	}
	var data = {};
	data['mobile'] = localStorage.getItem('mobile');
	data['password'] = localStorage.getItem('hexpwd');
	data['productType'] = config.PRODUCTTYPE;

	waiting(config.WAITING, true);
	var url = config.SERVER_URL + 't003/account/login';
	console.log(url);
	console.log(JSON.stringify(data));
	mui.ajax({
		url: url,
		type: 'post',
		data: data,
		timeout: 20000,
		beforeSend: function(XMLHttpRequest) {
			XMLHttpRequest.setRequestHeader("version", config.VERSION);
		},
		success: function(data) {
			plus.nativeUI.closeWaiting();
			console.log(JSON.stringify(data));
			if(data.success) {
				var info = data.attr.customerInfo;
				localStorage.setItem('customerId', info.id);

				var sig_cusId = new String(parseInt(info.id, 10).toString(16)).toUpperCase();
				var signature = hex_md5(localStorage.getItem('hexpwd') + sig_cusId).toUpperCase();
				localStorage.setItem('signature', signature);
				console.log(signature);

				mui.openWindow({
					id: 'index',
					url: 'index.html',
					show: {
						duration: config.DURATION
					},
					waiting: {
						autoShow: false
					}
				});

			} else {
				localStorage.setItem('islogin', 'false');
				mui.openWindow({
					id: 'login',
					url: 'views/login.html',
					show: {
						duration: config.DURATION
					},
					waiting: {
						autoShow: false
					}
				});
			}
		},
		error: function(eq, status, err) {
			plus.nativeUI.closeWaiting();
			console.log(status);
			console.log(JSON.stringify(err));
			mui.openWindow({
				id: 'login',
				url: 'views/login.html',
				show: {
					duration: config.DURATION
				},
				waiting: {
					autoShow: false
				}
			});
		}
	});
}