mui.plusReady(function() {
	document.getElementById('mobile').value = localStorage.getItem('mobile');
	document.getElementById('subBtn').addEventListener('tap', function() {
		var mobile = document.getElementById('mobile');
		var yzm = document.getElementById('yzm');
		var pwd = document.getElementById('pwd');
		var newpwd = document.getElementById('newpwd');

		var data = {};
		if(mobile.value.trim() == "") {
			mui.alert('手机号不能为空！', '温馨提示', function() {
				focus(mobile);
			});
			return;
		}

		if(!isPhoneNo(mobile.value.trim())) {
			mui.alert('手机号格式不正确，请重填！', '温馨提示', function() {
				focus(mobile);
			});
			return;
		}

		if(pwd.value.trim() == "") {
			mui.alert('旧密码不能为空！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		if(pwd.value.trim().length < 6) {
			mui.alert('旧密码应为6-20位字符！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		if(!ispwd(pwd.value.trim())) {
			mui.alert('旧密码只能为英文和数字！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		if(newpwd.value.trim() == "") {
			mui.alert('新密码不能为空！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		if(newpwd.value.trim().length < 6) {
			mui.alert('新密码应为6-20位字符！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		if(newpwd.value.trim() == pwd.value.trim()) {
			mui.alert('新旧密码不可以相同！', '温馨提示', function() {
				focus(pwd);
			});
			return;
		}

		if(!ispwd(newpwd.value.trim())) {
			mui.alert('新密码只能为英文和数字！', '温馨提示', function() {
				focus(newpwd);
			});
			return;
		}

		data['customerId'] = customerId;
		data['password'] = hex_md5(pwd.value.trim()).toUpperCase();
		data['newpassword'] = hex_md5(newpwd.value.trim()).toUpperCase();
		data['productType'] = config.PRODUCTTYPE;
		console.log(JSON.stringify(data));

		var wait = plus.nativeUI.showWaiting(config.WAITING);
		var url = config.SERVER_URL + 't003/account/password/change';

		ajaxPost(url, data, function(data) {
			wait.close();
			console.log(JSON.stringify(data));
			if(data.success) {
				mui.alert(data.message, '温馨提示', function() {
					mui.back();
				});

			} else {
				if(data.result != null) {
					if(data.result == "W9999999") {
						if(localStorage.getItem('isopen') != "true") {
							localStorage.setItem('islogin', 'false');
							localStorage.removeItem('customerId');
							mui.openWindow({
								url: 'login.html',
								id: 'login',
								show: {
									duration: config.DURATION
								},
								extras: {
									relogin: true
								}
							});
							localStorage.setItem('isopen', 'true');
						}
						return;
					}
				}
				mui.alert(data.message, '温馨提示', function() {

				});
			}
		});
	});
});

function focus(obj) {
	obj.focus();
	setTimeout(function() {
		obj.focus();
	}, 150);
}