var wait;
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var bankSum = self.bankSum;
	wait = plus.nativeUI.showWaiting(config.WAITING);
	readData(banks);

	mui('.mui-table-view').on('tap', 'li', function(e) {
		var bankName = this.getElementsByTagName('div')[0].innerHTML;
		var bankId = this.getAttribute('bankId');
		var support = this.getAttribute('supportChannel');
		var sBankName = this.getAttribute('shortBankName');
		var bankCode = this.getAttribute('bankCode');

		mui.openWindow({
			url: 'addbank.html',
			id: 'addbank',
			show: {
				duration: config.DURATION
			},
			waiting: {
				autoShow: false
			},
			extras: {
				bankName: bankName,
				bankId: bankId,
				support: support,
				sBankName: sBankName,
				bankCode: bankCode,
				bankSum: bankSum
			}
		});
	});
});

function init() {
	var url = config.SERVER_URL + 't003/tpp/bank/info';
	var data = {
		supportChannel: config.SUPPORT
	};

	ajaxPost(url, data, function(data) {
		console.log(JSON.stringify(data));
		wait.close();
		if(data.success) {
			readData(data.attr.bankList);
		} else {
			if(data.result != null) {
				if(data.result == "W9999999") {
					if(localStorage.getItem('isopen') != "true") {
						localStorage.setItem('islogin', 'false');
						localStorage.removeItem('customerId');
						mui.openWindow({
							url: 'login.html',
							id: 'login',
							show: {
								duration: config.DURATION
							},
							extras: {
								relogin: true
							}
						});
						localStorage.setItem('isopen', 'true');
					}
					return;
				}
			}
		}
	});
}

function readData(banklist) {
	var fragment = document.createDocumentFragment();
	var ul = document.getElementById('bankwarpper');
	for(var i = 0; i < banklist.length; i++) {
		var li = document.createElement('li');
		li.className = 'mui-table-view-cell mui-media tabl-border-center';
		li.setAttribute('bankId', banklist[i].bankId);
		li.setAttribute('supportChannel', banklist[i].supportChannel);
		li.setAttribute('shortBankName', banklist[i].shortBankName);
		li.setAttribute('bankCode', banklist[i].bankCode);
		li.innerHTML = '<div class="mui-media-body">' + banklist[i].bankName + '</div>';
		fragment.appendChild(li);
	}
	ul.appendChild(fragment);
	wait.close();
}