mui.init();

var self;
var creditId;

mui.plusReady(function() {
	self = plus.webview.currentWebview();
	creditId = self.creditId;

	document.getElementById('repayno').addEventListener('tap', function() {
		mui.openWindow({
			url: 'repayno.html',
			id: 'repayno',
			show: {
				duration: config.DURATION
			},
			waiting: {
				autoShow: false
			},
			extras: {
				creditId: creditId
			}
		});
	});

	document.getElementById('prot').addEventListener('tap', function() {
		mui.openWindow({
			url: 'jkdoc.html',
			id: 'jkdoc',
			show: {
				duration: config.DURATION
			},
			waiting: {
				autoShow: false
			},
			extras: {
				creditId: creditId,
				type: 'old'
			}
		});
	});

	document.getElementById('repayno').addEventListener('tap', function() {
		mui.openWindow({
			url: 'repayno.html',
			id: 'repayno',
			show: {
				duration: config.DURATION
			},
			waiting: {
				autoShow: false
			}
		});
	});
	init();
});

function init() {
	var url = config.SERVER_URL + 't003/loan/credit/now';
	var data = {
		customerId: customerId,
		creditId: creditId
	};

	ajaxPost(url, data, function(data) {
		console.log(JSON.stringify(data));
		if(data.success) {
			var ul = document.getElementById('ul');
			var result = data.result;
			if(result.creditId == null || result.creditId == "") {
				document.getElementById('nodata').classList.remove('mui-hidden');
				document.getElementById('warpper').classList.add('mui-hidden');
				return;
			}
			document.getElementById('nodata').classList.add('mui-hidden');
			document.getElementById('warpper').classList.remove('mui-hidden');

			ul.classList.remove('mui-hidden');
			var html = '<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">借款金额</div></li>' +
				'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body">' + result.loanAmount + '元</div></li>' +
				'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">借款日期</div></li>' +
				'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body">' + result.loanStartDate + '</div></li>' +
				'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">应还金额</div></li>' +
				'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body">' + result.totalShouldPayAmout + '元</div></li>' +
				'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">逾期罚息</div></li>' +
				'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body">' + result.lateAmount + '</div></li>' +
				'<li class="mui-table-view-cell mui-media mui-col-xs-5 tabl-border-center"><div class="mui-media-body">实际还款</div></li>' +
				'<li class="mui-table-view-cell mui-media mui-col-xs-7 tabl-border-right"><div class="mui-media-body">' + result.realAmount + '元</div></li>';
			ul.innerHTML = html;
		} else {
			if(data.result != null) {
				if(data.result == "W9999999") {
					if(localStorage.getItem('isopen') != "true") {
						localStorage.setItem('islogin', 'false');
						localStorage.removeItem('customerId');
						mui.openWindow({
							url: 'login.html',
							id: 'login',
							show: {
								duration: config.DURATION
							},
							extras: {
								relogin: true
							}
						});
						localStorage.setItem('isopen', 'true');
					}
					return;
				}
			}
			mui.alert(data.message, '温馨提示', function() {
				mui.back();
			});
		}
	});
}