mui.init();

var home, tie;

function plusReady() {
	home = plus.webview.getWebviewById('home');
	tie = plus.webview.getWebviewById('views/mentionamount.html');
	document.getElementById('prot').addEventListener('tap', function() {
		mui.openWindow({
			url: 'jddoc.html',
			id: 'jddoc',
			show: {
				duration: config.DURATION
			},
			waiting: {
				autoShow: false
			}
		});
	});
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

var SERVER_URL = config.SERVER_URL + 't003/rcm/html/';

var btn = document.getElementById('subbtn');
var pic = document.getElementById('pic');
var codediv = document.getElementById('codediv');
var account = document.getElementById('account');
var pwd = document.getElementById('pwd');
var code = document.getElementById('piccode');
var protcheck = document.getElementById('protcheck');
var msgcodediv = document.getElementById('msgcodediv');
var msgcode = document.getElementById('msgcode');

var id = request('id');
var authenticate = request('authenticate');
var editable = request('editable');
var productType = request('productType');

if(authenticate == 'true') {
	//	mui.toast('已授权成功');
} else if(authenticate == 'lost') {
	//	mui.toast('授权失败，请重新授权');
}

if(editable != 'true') {
	lockScreen();
}

document.getElementById('protcheck').addEventListener('change', function() {
	var value = this.checked ? "true" : "false";
	if(value == "false") {
		btn.setAttribute('disabled', 'disabled');
	} else {
		btn.removeAttribute('disabled');
	}
});

btn.addEventListener('tap', function() {
	btn.focus();
	var url = SERVER_URL + 'jingDongAuthorize';
	if(account.value.trim() == '') {
		mui.alert('京东账号不得为空！', '温馨提示', function() {});
		return;
	}

	if(pwd.value.trim() == '') {
		mui.alert('京东登录密码不得为空！', '温馨提示', function() {});
		return;
	}

	if(!codediv.classList.contains('mui-hidden')) {
		if(code.value.trim() == "") {
			mui.alert('验证码不能为空!', '温馨提示', function() {});
			return;
		}
	}

	if(!msgcodediv.classList.contains('mui-hidden')) {
		if(msgcode.value.trim() == "") {
			mui.alert('验证码不能为空!', '温馨提示', function() {});
			return;
		}
	}

	if(!protcheck.checked) {
		mui.alert('授权协议未勾选', '温馨提示', function() {});
		return;
	}

	var data = {
		customerId: id,
		jingDongAcco: account.value.trim(),
		password: pwd.value.trim(),
		picCode: code.value.trim(),
		productType: productType,
		messsageCode: msgcode.value.trim()
	};
	lock();
	console.log(url);
	console.log(JSON.stringify(data));

	ajaxPost(url, data, success);
});

function success(data) {
	console.log(JSON.stringify(data));
	unlock();

	if(data == null) {
		return;
	}

	if(!data.success) {
		if(data.result != null) {
			if(data.result == "W9999999") {
				if(localStorage.getItem('isopen') != "true") {
					localStorage.setItem('islogin', 'false');
					localStorage.removeItem('customerId');
					mui.openWindow({
						url: 'login.html',
						id: 'login',
						show: {
							duration: config.DURATION
						},
						extras: {
							relogin: true
						}
					});
					localStorage.setItem('isopen', 'true');
				}
				return;
			}
		}
	}

	var result = data.result;
	if(result.state == 'JD0003' || result.state == 'JD0007' || result.state == 'JD0008' || result.state == 'JD0009') {
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}
		mui.alert(message, '温馨提示', function() {});
		relogin();
		return;
	}

	if(result.state == 'JD0004') {
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}
		mui.alert(message, '温馨提示', function() {});
		relogin();
		return;
	}

	if(result.state == 'JD0002') {
		pic.src = 'data:image/jpg;base64,' + result.picCode;
		codediv.classList.remove('mui-hidden');
		code.value = '';
		code.disabled = false;
		btn.disabled = false;
		if(!msgcodediv.classList.contains('mui-hidden')) {
			msgcodediv.classList.add('mui-hidden');
		}
	}

	if(result.state == 'JD0005') {
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}
		if(message != '') {
			mui.alert(message, '温馨提示', function() {});
		}
		msgcodediv.classList.remove('mui-hidden');
		msgcode.value = '';
		msgcode.disabled = false;
		btn.disabled = false;
		if(!codediv.classList.contains('mui-hidden')) {
			codediv.classList.add('mui-hidden');
		}
	}
	if(result.state == 'JD0006') {
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}
		if(message != '') {
			mui.alert(message, '温馨提示', function() {});
		}
		msgcodediv.classList.remove('mui-hidden');
		msgcode.value = '';
		msgcode.disabled = false;
		btn.disabled = false;
		if(!codediv.classList.contains('mui-hidden')) {
			codediv.classList.add('mui-hidden');
		}
	}

	if(result.state == 'JD0001') {
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}

		mui.fire(tie, 'ref', {});
		mui.fire(home, 'ref', {});
		mui.alert(message, '温馨提示', function() {
			setTimeout(function() {
				mui.back();
			}, 300);
		});
	}
}

var relogin = function() {
	unlock();
	codediv.classList.add('mui-hidden');
	code.value = '';
	msgcodediv.classList.add('mui-hidden');
	msgcode.value = '';
	btn.disabled = false;
}

var lock = function() {
	mui.each(document.querySelectorAll('.input'), function(index, item) {
		item.disabled = true;
	});
	protcheck.disabled = true;
	btn.disabled = true;
	if(!codediv.classList.contains("mui-hidden")) {
		code.disabled = true;
	}
	if(!msgcodediv.classList.contains("mui-hidden")) {
		msgcode.disabled = true;
	}
}
var unlock = function() {
	mui.each(document.querySelectorAll('.input'), function(index, item) {
		item.disabled = false;
	});
	protcheck.disabled = false;
	btn.disabled = false;
	if(!codediv.classList.contains("mui-hidden")) {
		code.disabled = false;
		code.value = '';
	}
	if(!msgcodediv.classList.contains("mui-hidden")) {
		msgcode.disabled = false;
		msgcode.value = '';
	}
}