mui.init();

var self;
var type, applyAmout, applyDay, creditId;

function plusReady() {
	self = plus.webview.currentWebview();
	type = self.type;
	if(type == 'new') {
		applyAmout = self.applyAmout;
		applyDay = self.applyDay;
	} else {
		creditId = self.creditId;
	}
	init();
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function init() {
	var url = '';
	var data = {};
	if(type == 'new') {
		url = config.SERVER_URL + 't003/loan/credit/countagreement';
		data = {
			customerId: customerId,
			applyAmout: applyAmout,
			applyDay: applyDay,
			productType: config.PRODUCTTYPE
		};
	} else {
		url = config.SERVER_URL + 't003/loan/credit/agreement';
		data = {
			customerId: customerId,
			creditId: creditId,
			productType: config.PRODUCTTYPE
		};
	}

	console.log(JSON.stringify(data));
	ajaxPost(url, data, function(data) {
		console.log(JSON.stringify(data));
		if(data.success) {
			var agree = data.attr.agree;
			document.getElementById('loanCardNo').innerHTML = agree.loanCardNo;
			document.getElementById('loanName').innerHTML = agree.loanName;
			document.getElementById('lender').innerHTML = agree.lender;
			document.getElementById('totalNum').innerHTML = agree.totalNum;
			document.getElementById('applyAmount').innerHTML = agree.applyAmount;
			document.getElementById('startDate').innerHTML = agree.startDate;
			document.getElementById('endDate').innerHTML = new Date(agree.endDate).Format('yyyy-MM-dd');
			document.getElementById('serviceCharge').innerHTML = agree.serviceCharge;
			document.getElementById('interest').innerHTML = agree.interest;
			var remoney = parseFloat(agree.applyAmount) + parseFloat(agree.serviceCharge);
			document.getElementById('totalShouldPayAmout').innerHTML = remoney.toFixed(2);
		} else {
			if(data.result != null) {
				if(data.result == "W9999999") {
					if(localStorage.getItem('isopen') != "true") {
						localStorage.setItem('islogin', 'false');
						localStorage.removeItem('customerId');
						mui.openWindow({
							url: 'login.html',
							id: 'login',
							show: {
								duration: config.DURATION
							},
							extras: {
								relogin: true
							}
						});
						localStorage.setItem('isopen', 'true');
					}
					return;
				}
			}
			mui.alert(data.message, '温馨提示', function() {
				mui.back();
			});
		}
	});
}