mui.init();
var url = config.SERVER_URL + 'rong/authstate';

var email = document.getElementById('email');
var phone = document.getElementById('phone');
var jd = document.getElementById('jd');
var xuexin = document.getElementById('xuexin');
var person = document.getElementById('person');
var idcard = document.getElementById('idcard');
var banks = document.getElementById('banks');
var lianxi = document.getElementById('lianxi');
var home, ispay;
mui.plusReady(function() {
	home = plus.webview.getWebviewById('home');
	ispay = false;
});

(function($) {
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});
	mui.ready(function() {
		//循环初始化所有下拉刷新，上拉加载。
		mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			mui(pullRefreshEl).pullToRefresh({
				down: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							if(plus.networkinfo.getCurrentType() == 0 || plus.networkinfo.getCurrentType() == 1) {
								mui.toast('当前未连接到网络');
								self.endPullDownToRefresh();
								return;
							}
							var islogin = localStorage.getItem("islogin");
							if(islogin == 'true') {
								getData();
							}
							self.endPullDownToRefresh();
						}, 1000);
					}
				}
			});
		});
	});

	init();

	var islogin = localStorage.getItem("islogin");
	if(islogin == 'true') {
		getData();
	}

	document.getElementById('banks').addEventListener('tap', function() {
		var islogin = localStorage.getItem("islogin");
		if(islogin != 'true') {
			mui.openWindow({
				id: 'login',
				url: 'login.html',
				show: {
					duration: config.DURATION
				}
			});
			return;
		}
		mui.openWindow({
			id: 'banklist_main',
			url: 'banklist_main.html',
			show: {
				duration: config.DURATION
			},
			waiting: {
				autoShow: false
			}
		});
	});
	document.getElementById('lianxi').addEventListener('tap', function() {
		var islogin = localStorage.getItem("islogin");
		if(islogin != 'true') {
			mui.openWindow({
				id: 'login',
				url: 'login.html',
				show: {
					duration: config.DURATION
				}
			});
			return;
		}

		var authenticate = this.getAttribute('data-authenticate');
		var editable = this.getAttribute('data-editable');
		if(authenticate == 'true') {
			console.log(ispay);
			if(ispay) {
				mui.openWindow({
					id: 'contacts_main',
					url: 'contacts_main.html',
					show: {
						duration: config.DURATION
					},
					waiting: {
						autoShow: false
					},
					extras: {
						editable: editable
					}
				});
			} else {
				mui.alert('已授权成功！可重新授权！', '温馨提示', function() {
					mui.openWindow({
						id: 'contacts_main',
						url: 'contacts_main.html',
						show: {
							duration: config.DURATION
						},
						waiting: {
							autoShow: false
						},
						extras: {
							editable: editable
						}
					});
				});
			}
		} else {
			mui.openWindow({
				id: 'contacts_main',
				url: 'contacts_main.html',
				show: {
					duration: config.DURATION
				},
				waiting: {
					autoShow: false
				},
				extras: {
					editable: editable
				}
			});
		}
	});

})(mui);

window.addEventListener('ref', function(event) {
	var islogin = localStorage.getItem("islogin");
	if(islogin == 'true') {
		getData();
	}
});

function getData() {
	customerId = localStorage.getItem('customerId');
	var url_modify = config.SERVER_URL + 'esb/account/customer/ismodify';
	var data = {
		customerId: customerId,
		productType: config.PRODUCTTYPE
	};
	ajaxPost(url_modify, data, function(data) {
		console.log(JSON.stringify(data));
		if(data.success) {
			var info = data.attr.modifyInfo;
			if(info.modify == -1) {
				ispay = true;
			} else {
				ispay = false;
			}

			if(parseInt(info.status) == 1) {
				authSuccess(banks);
			} else {
				unauth(banks);
			}

			var cinfo = data.attr.contactInfo;
			if(parseInt(cinfo.status) == 1) {
				authSuccess(lianxi);
			} else {
				unauth(lianxi);
			}
		} else {
			if(data.result != null) {
				if(data.result == "W9999999") {
					if(localStorage.getItem('isopen') != "true") {
						localStorage.setItem('islogin', 'false');
						localStorage.removeItem('customerId');
						mui.openWindow({
							url: 'login.html',
							id: 'login',
							show: {
								duration: config.DURATION
							},
							extras: {
								relogin: true
							}
						});
						localStorage.setItem('isopen', 'true');
					}
					return;
				}
			}
		}
	});

	url = config.SERVER_URL + 't003/rcm/html/getAuthorizeStatus';
	console.log(url);
	var dt = {
		customerId: customerId,
		productType: config.PRODUCTTYPE
	};
	console.log(customerId);

	ajaxPost(url, dt, callback);
}

function callback(data) {
	console.log(JSON.stringify(data));
	if(!data.success) {
		if(data.message != null) {
			mui.toast(data.message);
		}
		return;
	}
	reData(data.result);
}

function reData(data) {
	console.log(JSON.stringify(data));
	if(data == null) {
		return;
	}

	for(var i = 0; i < data.length; i++) {

		//联系人
		if(data[i].authType == auth.CONTACTS) {
			lianxi.setAttribute('authType', data[i].authType);
			if(data[i].authenticate == auth.AUTHSUCCESS) {
				authSuccess(lianxi);
			} else if(data[i].authenticate == auth.UNAUTH) {
				unauth(lianxi);
			} else if(data[i].authenticate == auth.AUTHLOST) {
				authLost(lianxi);
			} else if(data[i].authenticate == auth.AUTHING) {
				authing(lianxi);
			}

			if(data[i].editable == auth.NOTEDIT) { //不可编辑
				notEdit(lianxi);
			} else {
				edit(lianxi);
			}
		}

		//京东
		if(data[i].authType == auth.JD) {
			jd.setAttribute('authType', data[i].authType);
			if(data[i].authenticate == auth.AUTHSUCCESS) {
				authSuccess(jd);
			} else if(data[i].authenticate == auth.UNAUTH) {
				unauth(jd);
			} else if(data[i].authenticate == auth.AUTHLOST) {
				authLost(jd);
			} else if(data[i].authenticate == auth.AUTHING) {
				authing(jd);
			}

			if(data[i].editable == auth.NOTEDIT) { //不可编辑
				notEdit(jd);
			} else {
				edit(jd);
			}
		}
		//邮箱
		if(String(data[i].authType) == auth.EMAIL) {
			email.setAttribute('authType', data[i].authType);
			if(data[i].authenticate == auth.AUTHSUCCESS) {
				authSuccess(email);
			} else if(data[i].authenticate == auth.UNAUTH) {
				unauth(email);
			} else if(data[i].authenticate == auth.AUTHLOST) {
				authLost(email);
			} else if(data[i].authenticate == auth.AUTHING) {
				authing(email);
			}
			if(data[i].editable == auth.NOTEDIT) { //不可编辑
				notEdit(email);
			} else {
				edit(email);
			}
		}
		//手机实名
		if(data[i].authType == auth.PHONE) {
			phone.setAttribute('authType', data[i].authType);
			if(data[i].authenticate == auth.AUTHSUCCESS) {
				authSuccess(phone);
			} else if(data[i].authenticate == auth.UNAUTH) {
				unauth(phone);
			} else if(data[i].authenticate == auth.AUTHLOST) {
				authLost(phone);
			} else if(data[i].authenticate == auth.AUTHING) {
				authing(phone);
			}

			if(data[i].editable == auth.NOTEDIT) { //不可编辑
				notEdit(phone);
			} else {
				edit(phone);
			}
		}

		//学信信息
		if(data[i].authType == auth.XUEXIN) {
			xuexin.setAttribute('authType', data[i].authType);
			if(data[i].authenticate == auth.AUTHSUCCESS) {
				authSuccess(xuexin);
			} else if(data[i].authenticate == auth.UNAUTH) {
				unauth(xuexin);
			} else if(data[i].authenticate == auth.AUTHLOST) {
				authLost(xuexin);
			} else if(data[i].authenticate == auth.AUTHING) {
				authing(xuexin);
			}

			if(data[i].editable == auth.NOTEDIT) { //不可编辑
				notEdit(xuexin);
			} else {
				edit(xuexin);
			}
		}
		//通讯录
		if(data[i].authType == auth.PERSON) {
			person.setAttribute('authType', data[i].authType);
			if(data[i].authenticate == auth.AUTHSUCCESS) {
				authSuccess(person);
			} else if(data[i].authenticate == auth.UNAUTH) {
				unauth(person);
			} else if(data[i].authenticate == auth.AUTHLOST) {
				authLost(person);
			} else if(data[i].authenticate == auth.AUTHING) {
				authing(person);
			}

			if(data[i].editable == auth.NOTEDIT) { //不可编辑
				notEdit(person);
			} else {
				edit(person);
			}
		}
		//身份验证
		if(data[i].authType == auth.IDCARD) {
			idcard.setAttribute('authType', data[i].authType);
			if(data[i].authenticate == auth.AUTHSUCCESS) {
				authSuccess(idcard);
			} else if(data[i].authenticate == auth.UNAUTH) {
				unauth(idcard);
			} else if(data[i].authenticate == auth.AUTHLOST) {
				authLost(idcard);
			} else if(data[i].authenticate == auth.AUTHING) {
				authing(idcard);
			}

			if(data[i].editable == auth.NOTEDIT) { //不可编辑
				notEdit(idcard);
			} else {
				edit(idcard);
			}
		}
	}
}

function init() {
	email.addEventListener('tap', function() {
		var islogin = localStorage.getItem("islogin");
		if(islogin != 'true') {
			mui.openWindow({
				id: 'login',
				url: 'login.html',
				show: {
					duration: config.DURATION
				}
			});
			return;
		}
		var authType = this.getAttribute('authType');
		getSingleAuth(authType);
	});

	jd.addEventListener('tap', function() {
		var islogin = localStorage.getItem("islogin");
		if(islogin != 'true') {
			mui.openWindow({
				id: 'login',
				url: 'login.html',
				show: {
					duration: config.DURATION
				}
			});
			return;
		}
		var authType = this.getAttribute('authType');
		getSingleAuth(authType);

	});
	xuexin.addEventListener('tap', function() {
		var islogin = localStorage.getItem("islogin");
		if(islogin != 'true') {
			mui.openWindow({
				id: 'login',
				url: 'login.html',
				show: {
					duration: config.DURATION
				}
			});
			return;
		}
		var authType = this.getAttribute('authType');
		getSingleAuth(authType);

	});
	phone.addEventListener('tap', function() {
		var islogin = localStorage.getItem("islogin");
		if(islogin != 'true') {
			mui.openWindow({
				id: 'login',
				url: 'login.html',
				show: {
					duration: config.DURATION
				}
			});
			return;
		}
		var authType = this.getAttribute('authType');
		getSingleAuth(authType);

	});
	idcard.addEventListener('tap', function() {
		var islogin = localStorage.getItem("islogin");
		if(islogin != 'true') {
			mui.openWindow({
				id: 'login',
				url: 'login.html',
				show: {
					duration: config.DURATION
				}
			});
			return;
		}
		var authType = idcard.getAttribute('authType');
		open(authType);
		//		getSingleAuth(authType);
	});
	person.addEventListener('tap', function() {
		var islogin = localStorage.getItem("islogin");
		if(islogin != 'true') {
			mui.openWindow({
				id: 'login',
				url: 'login.html',
				show: {
					duration: config.DURATION
				}
			});
			return;
		}
		var authType = this.getAttribute('authType');
		getSingleAuth(authType);
	});
}

function getSingleAuth(authType) {
	var url = config.SERVER_URL + 't003/rcm/html/getAuthorInfo?customerId=' + customerId + '&authType=' + authType + '&productType=' + config.PRODUCTTYPE;
	ajaxPost(url, null, single_callback);
}

function single_callback(data) {
	console.log(JSON.stringify(data));
	if(!data.success) {
		if(data.message != null) {
			mui.alert(data.message, '温馨提示', function() {});
		}
		return;
	} else {
		if(data.result != null) {
			if(data.result == "W9999999") {
				if(localStorage.getItem('isopen') != "true") {
					localStorage.setItem('islogin', 'false');
					localStorage.removeItem('customerId');
					mui.openWindow({
						url: 'login.html',
						id: 'login',
						show: {
							duration: config.DURATION
						},
						extras: {
							relogin: true
						}
					});
					localStorage.setItem('isopen', 'true');
				}
				return;
			}
		}
	}
	var self = null;
	var result = data.result;
	if(result == null) {
		if(data.message != null && data.message != "") {
			mui.alert(data.message, '温馨提示', function() {});
		}
		return;
	}
	//	if(result != null) {
	if(result.authType == auth.JD) {
		self = jd;
	} else if(result.authType == auth.EMAIL) {
		self = email;
	} else if(result.authType == auth.XUEXIN) {
		self = xuexin;
	} else if(result.authType == auth.PERSON) {
		self = person;
	} else if(result.authType == auth.PHONE) {
		self = phone;
	}
	if(String(result.authenticate) == auth.AUTHSUCCESS) {
		authSuccess(self);
	} else if(result.authenticate == auth.UNAUTH) {
		unauth(self);
	} else if(result.authenticate == auth.AUTHLOST) {
		authLost(self);
	} else if(result.authenticate == auth.AUTHING) {
		authing(self);
	}

	if(result.editable == auth.NOTEDIT) { //不可编辑
		notEdit(self);
	} else {
		edit(self);
	}

	if(result.internetVo != null) {
		if(result.internetVo.account != null) {
			self.setAttribute('data-account', result.internetVo.account);
		}
	}
	open(result.authType);
}

function open(authType) {
	//邮箱
	if(authType == null) {
		mui.alert('系统异常请稍后再试', '温馨提示', function() {});
		return;
	}
	if(authType == auth.EMAIL) {
		var authenticate = email.getAttribute('data-authenticate');
		var editable = email.getAttribute('data-editable');
		console.log(authenticate);
		if(authenticate == 'authing') {
			mui.alert('授权中，请稍后...', '温馨提示', function() {});
		} else if(authenticate == 'lost') {
			mui.alert('授权失败！请重新提交信息授权！', '温馨提示', function() {
				var openUrl = 'email.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
				mui.openWindow({
					url: openUrl,
					id: 'email',
					waiting: {
						autoShow: false
					}
				});
			});
		} else if(authenticate == 'true') {
			if(ispay) {
				var openUrl = 'email.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
				mui.openWindow({
					url: openUrl,
					id: 'email',
					waiting: {
						autoShow: false
					}
				});
			} else {
				mui.alert('已授权成功！可重新授权！', '温馨提示', function() {
					var openUrl = 'email.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
					mui.openWindow({
						url: openUrl,
						id: 'email',
						waiting: {
							autoShow: false
						}
					});
				});
			}
		} else {
			var openUrl = 'email.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
			mui.openWindow({
				url: openUrl,
				id: 'email',
				waiting: {
					autoShow: false
				}
			});
		}
		//京东
	} else if(authType == auth.JD) {
		var authenticate = jd.getAttribute('data-authenticate');
		var editable = jd.getAttribute('data-editable');

		if(authenticate == 'authing') {
			mui.alert('授权中，请稍后...', '温馨提示', function() {});
		} else if(authenticate == 'lost') {
			mui.alert('授权失败！请重新提交信息授权！', '温馨提示', function() {
				var openUrl = 'jd.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
				mui.openWindow({
					url: openUrl,
					id: 'jd',
					waiting: {
						autoShow: false
					}
				});
			});
		} else if(authenticate == 'true') {
			if(ispay) {
				var openUrl = 'jd.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
				mui.openWindow({
					url: openUrl,
					id: 'jd',
					waiting: {
						autoShow: false
					}
				});
			} else {
				mui.alert('已授权成功！可重新授权！', '温馨提示', function() {
					var openUrl = 'jd.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
					mui.openWindow({
						url: openUrl,
						id: 'jd',
						waiting: {
							autoShow: false
						}
					});
				});
			}
		} else {
			var openUrl = 'jd.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
			mui.openWindow({
				url: openUrl,
				id: 'jd',
				waiting: {
					autoShow: false
				}
			});
		}
		//学信
	} else if(authType == auth.XUEXIN) {
		var authenticate = xuexin.getAttribute('data-authenticate');
		var editable = xuexin.getAttribute('data-editable');

		var account = xuexin.getAttribute('data-account');
		if(authenticate == 'authing') {
			mui.alert('授权中，请稍后...', '温馨提示', function() {});
		} else if(authenticate == 'false') {
			var openUrl = 'xuexin.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable + '&account=' + account;

			mui.openWindow({
				url: openUrl,
				id: 'xuexin',
				waiting: {
					autoShow: false
				}
			});
		} else if(authenticate == 'true') {
			if(ispay) {
				var openUrl = 'xuexin.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable + '&account=' + account;
				mui.openWindow({
					url: openUrl,
					id: 'xuexin',
					waiting: {
						autoShow: false
					}
				});
			} else {
				mui.alert('已授权成功！可重新授权！', '温馨提示', function() {
					var openUrl = 'xuexin.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable + '&account=' + account;
					mui.openWindow({
						url: openUrl,
						id: 'xuexin',
						waiting: {
							autoShow: false
						}
					});
				});
			}
		} else if(authenticate == 'lost') {
			mui.alert('授权失败！请重新提交信息授权！', '温馨提示', function() {
				var openUrl = 'xuexin.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable + '&account=' + account;
				mui.openWindow({
					url: openUrl,
					id: 'xuexin',
					waiting: {
						autoShow: false
					}
				});
			});
		} else {
			var openUrl = 'xuexin.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable + '&account=' + account;
			mui.openWindow({
				url: openUrl,
				id: 'xuexin',
				waiting: {
					autoShow: false
				}
			});
		}
		//手机实名
	} else if(authType == auth.PHONE) {
		var authenticate = phone.getAttribute('data-authenticate');
		var editable = phone.getAttribute('data-editable');

		if(authenticate == 'authing') {
			mui.alert('授权中，请稍后...', '温馨提示', function() {});
		} else if(authenticate == 'lost') {
			mui.alert('授权失败！请重新提交信息授权！', '温馨提示', function() {
				var openUrl = 'phone.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
				mui.openWindow({
					url: openUrl,
					id: 'phone',
					waiting: {
						autoShow: false
					}
				});
			});
		} else if(authenticate == 'true') {
			if(ispay) {
				var openUrl = 'phone.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
				mui.openWindow({
					url: openUrl,
					id: 'phone',
					waiting: {
						autoShow: false
					}
				});
			} else {
				mui.alert('已授权成功！可重新授权！', '温馨提示', function() {
					var openUrl = 'phone.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
					mui.openWindow({
						url: openUrl,
						id: 'phone',
						waiting: {
							autoShow: false
						}
					});
				});
			}
		} else {
			var openUrl = 'phone.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
			mui.openWindow({
				url: openUrl,
				id: 'phone',
				waiting: {
					autoShow: false
				}
			});
		}
		//身份验证
	} else if(authType == auth.IDCARD) {
		var authenticate = idcard.getAttribute('data-authenticate');
		var editable = idcard.getAttribute('data-editable');
		if(authenticate == 'authing') {
			editable = 'false';
			var openUrl = 'idcard.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
			mui.openWindow({
				url: openUrl,
				id: 'idcard',
				waiting: {
					autoShow: false
				}
			});
		} else if(authenticate == 'lost') {
			mui.alert('授权失败！请重新提交信息授权！', '温馨提示', function() {
				var openUrl = 'idcard.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
				mui.openWindow({
					url: openUrl,
					id: 'idcard',
					waiting: {
						autoShow: false
					}
				});
			});
		} else if(authenticate == 'true') {
			mui.alert('身份验证已审核通过！', '温馨提示', function() {});
		} else {
			var openUrl = 'idcard.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + authenticate + '&editable=' + editable;
			mui.openWindow({
				url: openUrl,
				id: 'idcard',
				waiting: {
					autoShow: false
				}
			});
		}
		//联系人
	} else if(authType == auth.PERSON) {
		var authenticate = person.getAttribute('data-authenticate');
		var editable = person.getAttribute('data-editable');
		if(authenticate == 'authing') {
			mui.alert('授权中，请稍后...', '温馨提示', function() {});
		} else if(authenticate == 'true') {
			mui.alert('通讯录已审核通过！', '温馨提示', function() {});
		} else {
			var btnArray = ['否', '是'];
			mui.confirm('授权指尖钱包访问通讯录？', '温馨提示', btnArray, function(e) {
				if(e.index == 1) {
					//获取联系人
					plus.contacts.getAddressBook(plus.contacts.ADDRESSBOOK_PHONE, function(addressbook) {
						addressbook.find(["displayName", "phoneNumbers"], function(contacts) {
							if(contacts.length == 0) {
								mui.alert('未获取到联系人，请确认是否已设置允许APP访问联系人信息', '温馨提示', function() {});
								return;
							}
							var data = [];
							var json = {};
							for(var i = 0; i < contacts.length; i++) {
								if(contacts[i].phoneNumbers.length > 0) {
									var numbers = '';
									for(var j = 0; j < contacts[i].phoneNumbers.length; j++) {
										if(contacts[i].phoneNumbers[j].value != "") {
											var mb = contacts[i].phoneNumbers[0].value;
											var mb1 = mb.split(' ');
											var mb2 = "";
											if(mb1.length > 1) {
												for(var z = 0; z < mb1.length; z++) {
													mb2 += mb1[z];
												}
											} else {
												mb2 = mb1[0];
											}
											var mb3 = mb2.split('-');
											var mb4 = "";
											if(mb3.length > 1) {
												for(var z = 0; z < mb3.length; z++) {
													mb4 += mb3[z];
												}
											} else {
												mb4 = mb3[0];
											}
											if(numbers == '') {
												numbers += mb4;
											} else {
												numbers += ',' + mb4;
											}
										}
									}
									json['' + contacts[i].displayName + '' + (i + 1) + ''] = numbers;
								}
							}
							data.push(json);
							console.log(JSON.stringify(data));
							var url = config.SERVER_URL + 't003/rcm/html/mobileListAuthorize';
							console.log(url);
							var wait = plus.nativeUI.showWaiting("处理中，请等待...");

							var da = {
								customerId: customerId,
								mobileList: JSON.stringify(data),
								productType: config.PRODUCTTYPE
							};

							ajaxPost(url, da, function(data) {
								wait.close();
								if(data.success) {
									if(data.message != "") {
										mui.fire(home, 'ref', {});
										mui.alert(data.message, '温馨提示', function() {});
									}
								} else {
									if(data.message != "") {
										mui.alert(data.message, '温馨提示', function() {});
									}
								}
							});

						}, function(e) {
							mui.alert('获取联系人信息失败', '温馨提示', function() {});
						});
					}, function(e) {
						mui.alert('未授权APP获取联系人，请将应用设置为APP允许访问联系人信息', '温馨提示', function() {});
					});
				}
			})
		}
	}
}

function idcardAuth() {
	var btnArray = ['确定', '取消'];
	mui.confirm('请先进行身份验证？', '温馨提示', btnArray, function(e) {
		if(e.index == 0) {
			var personEdit = person.getAttribute('data-editable');
			var personAuth = person.getAttribute('data-authenticate');
			var openUrl = 'idcard.html?id=' + customerId + '&productType=' + config.PRODUCTTYPE + '&authenticate=' + personAuth + '&editable=' + personEdit;
			window.location.href = openUrl;
		}
	})
}

function authSuccess(self) {
	self.setAttribute('data-authenticate', 'true');
	self.getElementsByTagName('div')[0].style.color = '#7ccec6';
	var img = self.getElementsByTagName('img')[0];
	img.src = '../img/' + img.getAttribute('data-no') + '_1.png';
}

function unauth(self) {
	self.setAttribute('data-authenticate', 'false');
	self.getElementsByTagName('div')[0].style.color = '#000';
	var img = self.getElementsByTagName('img')[0];
	img.src = '../img/' + img.getAttribute('data-no') + '.png';
}

function authLost(self) {
	self.setAttribute('data-authenticate', 'lost');
	self.getElementsByTagName('div')[0].style.color = ' #FF0000';
	var img = self.getElementsByTagName('img')[0];
	img.src = '../img/' + img.getAttribute('data-no') + '.png';
}

function authing(self) {
	self.setAttribute('data-authenticate', 'authing');
	var img = self.getElementsByTagName('img')[0];
	img.src = '../img/' + img.getAttribute('data-no') + '.png';
}

function notEdit(self) {
	self.setAttribute('data-editable', 'false');
}

function edit(self) {
	self.setAttribute('data-editable', 'true');
}

function getContacts() {
	plus.contacts.getAddressBook(plus.contacts.ADDRESSBOOK_PHONE, function(addressbook) {
		addressbook.find(["displayName", "phoneNumbers"], function(contacts) {
			if(contacts.length == 0) {
				mui.alert('未获取到联系人，请确认是否已设置允许APP访问联系人信息', '温馨提示', function() {});
				return;
			}
			var data = [];
			var json = {};
			for(var i = 0; i < contacts.length; i++) {
				if(contacts[i].phoneNumbers.length > 0) {
					var numbers = '';
					for(var j = 0; j < contacts[i].phoneNumbers.length; j++) {
						if(contacts[i].phoneNumbers[j].value != "") {
							var mb = contacts[i].phoneNumbers[0].value;
							var mb1 = mb.split(' ');
							var mb2 = "";
							if(mb1.length > 1) {
								for(var z = 0; z < mb1.length; z++) {
									mb2 += mb1[z];
								}
							} else {
								mb2 = mb1[0];
							}
							var mb3 = mb2.split('-');
							var mb4 = "";
							if(mb3.length > 1) {
								for(var z = 0; z < mb3.length; z++) {
									mb4 += mb3[z];
								}
							} else {
								mb4 = mb3[0];
							}
							if(numbers == '') {
								numbers += mb4;
							} else {
								numbers += ',' + mb4;
							}
						}
					}
					json['' + contacts[i].displayName + '' + (i + 1) + ''] = numbers;
				}
			}
			data.push(json);
			console.log(JSON.stringify(data));
			var url = config.SERVER_URL + 't003/rcm/html/mobileListAuthorize';
			console.log(url);
			var wait = plus.nativeUI.showWaiting("处理中，请等待...");

			var da = {
				customerId: customerId,
				mobileList: JSON.stringify(data),
				productType: config.PRODUCTTYPE
			};
			ajaxPost(url, da, function(data) {
				wait.close();
				if(data.success) {
					if(data.message != "") {
						mui.alert(data.message, '温馨提示', function() {});
					}
				} else {
					if(data.message != "") {
						mui.alert(data.message, '温馨提示', function() {});
					}
				}
			});
		}, function(e) {
			mui.alert('获取联系人信息失败', '温馨提示', function() {});
		});
	}, function(e) {
		mui.alert('未授权APP获取联系人，请将应用设置为APP允许访问联系人信息', '温馨提示', function() {});
	});

}