var customerId = localStorage.getItem('customerId');

var index;
mui.plusReady(function() {
	index = plus.webview.getWebviewById('index');
	getMsg();
});

function getMsg() {
	var url = config.SERVER_URL + 't003/account/customer/getUnReadMessage';
	console.log(url);
	var data = {
		customerId: customerId,
		productType: config.PRODUCTTYPE
	};

	waiting(config.WAITING, false);
	ajaxPost(url, data, function(data) {
		console.log(JSON.stringify(data));
		if(data.success) {
			readData(data.result);
		}else{
			if(data.result != null) {
			if(data.result == "W9999999") {
				if(localStorage.getItem('isopen') != "true") {
					localStorage.setItem('islogin', 'false');
					localStorage.removeItem('customerId');
					mui.openWindow({
						url: 'login.html',
						id: 'login',
						show: {
							duration: config.DURATION
						},
						extras: {
							relogin: true
						}
					});
					localStorage.setItem('isopen', 'true');
				}
				return;
			}
		}
		}
	});
}

function readData(result) {
	plus.nativeUI.closeWaiting();
	var msginfo;
	if(localStorage.getItem('msgid') != null) {
		if(localStorage.getItem('msgid') != customerId) {
			localStorage.setItem('msginfo', "");
			localStorage.setItem('msgid', customerId);
		}
	} else {
		localStorage.setItem('msginfo', "");
		localStorage.setItem('msgid', customerId);
	}
	if(localStorage.getItem('msginfo') == null || localStorage.getItem('msginfo') == "undefined" || localStorage.getItem('msginfo') == "") {
		msginfo = [];
	} else {
		msginfo = JSON.parse(localStorage.getItem('msginfo'));
	}
	var warpper = document.getElementById('warpper');
	warpper.innerHTML = '';
	var html = '';
	if(result.length != 0) {
		var msgs;
		for(var i = result.length - 1; i > -1; i--) {
			html += '<div class="title"><i style="color: red;margin-right: 5px;">*</i>' + result[i].sendTime +
				'</div><div class="mui-content-padded content">' + result[i].content +
				'</div>';
		}
	}

	mui.each(msginfo, function(index, item) {
		html += '<div class="title">' + item.sendTime +
			'</div><div class="mui-content-padded content">' + item.content +
			'</div>';
	});

	if((result.length + msginfo.length) < 21) {
		for(var i = 0; i < result.length; i++) {
			var json = {};
			json['sendTime'] = result[i].sendTime;
			json['content'] = result[i].content;
			msginfo.splice(0, 0, json);
		}
	} else {
		var temp = [];
		for(var i = 0; i < result.length; i++) {
			var json = {};
			json['sendTime'] = result[i].sendTime;
			json['content'] = result[i].content;
			temp.splice(0, 0, json);
		}
		var count = 20 - result.length;
		console.log(count);
		for(var i = 0; i < count; i++) {
			var json = {};
			json['sendTime'] = msginfo[i].sendTime;
			json['content'] = msginfo[i].content;
			temp.push(json);
		}
		msginfo = temp;
	}
	if(msginfo.length == 0) {
		document.getElementById('nodata').classList.remove('mui-hidden');
	} else {
		document.getElementById('nodata').classList.add('mui-hidden');
	}

	localStorage.setItem('msginfo', JSON.stringify(msginfo));
	warpper.innerHTML = html;
}

var old_back = mui.back;
mui.back = function() {
	mui.fire(index, 'refreshmsg', {});
	old_back();
}