mui.init();

var headHtml = '<li class="mui-table-view-cell mui-media mui-col-xs-3 tabl-border-left">' +
	'<div class="mui-media-body">还款日期</div>' +
	'</li>' +
	'<li class="mui-table-view-cell mui-media mui-col-xs-3 tabl-border-center">' +
	'<div class="mui-media-body">还款金额(元)</div>' +
	'</li>' +
	'<li class="mui-table-view-cell mui-media mui-col-xs-3 tabl-border-center2">' +
	'<div class="mui-media-body">银行卡尾号</div>' +
	'</li>' +
	'<li class="mui-table-view-cell mui-media mui-col-xs-3 tabl-border-right">' +
	'<div class="mui-media-body">状态</div>' +
	'</li>';

var self;
var creditId;

function plusReady() {
	self = plus.webview.currentWebview();
	creditId = self.creditId;
	init();
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function init() {

	var url = config.SERVER_URL + 't003/loan/credit/flow';
	var data = {
		customerId: customerId,
		productType: config.PRODUCTTYPE
	};

	if(creditId != null && creditId != "") {
		data['creditId'] = creditId;
	}

	console.log(JSON.stringify(data));
	ajaxPost(url, data, function(data) {
		console.log(JSON.stringify(data));
		if(data.success) {
			var ul = document.getElementById('warpper');
			var html = '';
			if(data.attr.rvolist == null) {
				document.getElementById('nodata').classList.remove('mui-hidden');
				return;
			} else {
				document.getElementById('nodata').classList.add('mui-hidden');
			}

			var rvolist = data.attr.rvolist;
			if(rvolist.length > 0) {
				html += headHtml;
				for(var i = 0; i < rvolist.length; i++) {
					html += '<li class="mui-table-view-cell mui-media mui-col-xs-3 tabl-border-left"><div class="mui-media-body">' + rvolist[i].repayDate + '</div></li>';
					html += '<li class="mui-table-view-cell mui-media mui-col-xs-3 tabl-border-center"><div class="mui-media-body">' + rvolist[i].repayAmount + '</div></li>';
					html += '<li class="mui-table-view-cell mui-media mui-col-xs-3 tabl-border-center2"><div class="mui-media-body">' + rvolist[i].bankNum + '</div></li>';
					html += '<li class="mui-table-view-cell mui-media mui-col-xs-3 tabl-border-right"><div class="mui-media-body">' + getRepayStatus(rvolist[i].repayStatus) + '</div></li>';
				}
				ul.innerHTML = html;
			} else {
				//没有还款流水
				ul.classList.add('mui-hidden');
				document.getElementById('nodata').classList.remove('mui-hidden');
			}
		} else {
			if(data.result != null) {
				if(data.result == "W9999999") {
					if(localStorage.getItem('isopen') != "true") {
						localStorage.setItem('islogin', 'false');
						localStorage.removeItem('customerId');
						mui.openWindow({
							url: 'login.html',
							id: 'login',
							show: {
								duration: config.DURATION
							},
							extras: {
								relogin: true
							}
						});
						localStorage.setItem('isopen', 'true');
					}
					return;
				}
			}
		}
	});
}

function getRepayStatus(code) {
	if(config.PAYERROR == code) {
		return "还款失败";
	} else if(config.PAYING == code) {
		return "处理中";
	} else if(config.PAYSUCCESS == code) {
		return "还款成功";
	}
}

var aa = {
	"success": true,
	"result": null,
	"message": "查询还款流水成功",
	"attr": {
		"rvolist": [{
			"id": "8634",
			"bankNum": "2166",
			"repayStatus": "00629999",
			"repayAmount": "1090.00",
			"repayDate": "2016-08-23"
		}]
	}
};