mui.init();

var home, tie, self;
var startTime = Math.round(new Date().getTime() / 1000);

function plusReady() {
	self = plus.webview.currentWebview();
	home = plus.webview.getWebviewById('home');
	tie = plus.webview.getWebviewById('views/mentionamount.html');

	document.getElementById('prot').addEventListener('tap', function() {
		mui.openWindow({
			url: 'xuexindoc.html',
			id: 'xuexindoc',
			show: {
				duration: config.DURATION
			},
			waiting: {
				autoShow: false
			}
		});
	});
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

var SERVER_URL = config.SERVER_URL + 't003/rcm/html/';

var btn = document.getElementById('subbtn');
var pic = document.getElementById('pic');
var codediv = document.getElementById('codediv');
var account = document.getElementById('account');
var pwd = document.getElementById('pwd');
var code = document.getElementById('piccode');
var protcheck = document.getElementById('protcheck');
var recode = document.getElementById('recode');
var panel = document.getElementById('panel');

var id = request('id');
var authenticate = request('authenticate');
var editable = request('editable');
var productType = request('productType');
var accountVal = request('account');
if(authenticate == 'true') {
	//	mui.toast('已授权成功');
} else if(authenticate == 'lost') {
	//	mui.toast('授权失败，请重新授权');
}

//809073786@qq.com
//357159

if(editable != 'true') {
	lockScreen();
}

init();

function init() {
	console.log(authenticate);
	console.log(accountVal);
	if(authenticate == "true") {
		if(accountVal != null && accountVal != "") {
			account.value = accountVal;
			account.disabled = true;
		}
	}

	var url = SERVER_URL + 'getChsiCheckCode?customerId=' + id + '&productType=' + productType;
	console.log(url);
	ajaxPost(url, null, callback);
}

function callback(data) {
	console.log(JSON.stringify(data));
	if(data.success) {
		pic.src = 'data:image/jpg;base64,' + data.result.checkCode;
	} else {
		if(data.result != null) {
			if(data.result == "W9999999") {
				if(localStorage.getItem('isopen') != "true") {
					localStorage.setItem('islogin', 'false');
					localStorage.removeItem('customerId');
					mui.openWindow({
						url: 'login.html',
						id: 'login',
						show: {
							duration: config.DURATION
						},
						extras: {
							relogin: true
						}
					});
					localStorage.setItem('isopen', 'true');
				}
				return;
			}
		}
	}
}

recode.addEventListener('tap', function() {
	var nowTime = Math.round(new Date().getTime() / 1000);
	console.log(nowTime - startTime);
	if(nowTime - startTime < 40) {
		mui.alert('刷新频繁，请稍后再试！', '温馨提示', function() {});
	} else {
		startTime = Math.round(new Date().getTime() / 1000);
		init();
	}
});

pic.addEventListener('tap', function() {
	panel.innerHTML = '<img src = "' + pic.src + '">';
	panel.classList.remove('mui-hidden');
	console.log(document.querySelectorAll('.tap-action').length);
	mui.each(document.querySelectorAll('.tap-action'), function(index, item) {
		item.classList.add('tap-action-cancel');
	});
});

panel.addEventListener('tap', function() {
	mui.each(document.querySelectorAll('.tap-action'), function(index, item) {
		item.classList.remove('tap-action-cancel');
	});
	setTimeout(function() {
		panel.classList.add('mui-hidden');
	}, 50);

});

document.getElementById('protcheck').addEventListener('change', function() {
	var value = this.checked ? "true" : "false";
	if(value == "false") {
		btn.setAttribute('disabled', 'disabled');
	} else {
		btn.removeAttribute('disabled');
	}
});

btn.addEventListener('tap', function() {
	btn.focus();
	var url = SERVER_URL + 'authorizeXueXin';
	var data = {};
	data['customerId'] = id;

	if(account.value.trim() == '') {
		mui.alert('账号不得为空！', '温馨提示', function() {});
		return;
	} else if(!(isEmail(account.value.trim()) || isPhoneNo(account.value.trim()) || isCardNo(account.value.trim()))) {
		mui.alert('学信网帐号格式不正确!！', '温馨提示', function() {});
		return;
	} else {
		data['account'] = account.value.trim();
	}
	if(pwd.value.trim() == '') {
		mui.alert('登录密码不得为空！', '温馨提示', function() {});
		return;
	} else {
		data['password'] = pwd.value.trim();
	}

	if(!codediv.classList.contains('mui-hidden')) {
		if(code.value.trim() == "") {
			mui.alert('验证码不得为空！', '温馨提示', function() {});
			return;
		} else {
			data['checkCode'] = encodeURI(code.value.trim());
		}
	}

	if(!protcheck.checked) {
		mui.alert('授权协议未勾选', '温馨提示', function() {});
		return;
	}
	console.log(JSON.stringify(data));
	lock();
	ajaxPost(url, data, success);
});

function success(data) {
	console.log(JSON.stringify(data));
	unlock();
	if(data == null) {
		return;
	}
	if(data.success) {
		var message = '';
		if(data.message != null) {
			message = data.message;
		}

		if(data.msg != null) {
			message = data.msg;
		}
		mui.fire(tie, 'ref', {});
		mui.fire(home, 'ref', {});
		mui.alert(message, '温馨提示', function() {
			setTimeout(function() {
				self.close();
			}, 200);
		});
	} else {
		if(data.result != null) {
			if(data.result == "W9999999") {
				if(localStorage.getItem('isopen') != "true") {
					localStorage.setItem('islogin', 'false');
					localStorage.removeItem('customerId');
					mui.openWindow({
						url: 'login.html',
						id: 'login',
						show: {
							duration: config.DURATION
						},
						extras: {
							relogin: true
						}
					});
					localStorage.setItem('isopen', 'true');
				}
				return;
			}
		}
		var message = '';
		if(data.message != null) {
			message = data.message;
		}
		if(data.msg != null) {
			message = data.msg;
		}
		mui.alert(message, '温馨提示', function() {});
	}
}

var relogin = function() {
	unlock();
	codediv.classList.add('mui-hidden');
	code.value = '';
	btn.disabled = false;
}

var lock = function() {
	mui.each(document.querySelectorAll('.input'), function(index, item) {
		item.disabled = true;
	});
	btn.disabled = true;
	protcheck.disabled = true;
	if(!codediv.classList.contains("mui-hidden")) {
		code.disabled = true;
	}
}
var unlock = function() {
	mui.each(document.querySelectorAll('.input'), function(index, item) {
		item.disabled = false;
	});
	btn.disabled = false;
	protcheck.disabled = false;
	if(!codediv.classList.contains("mui-hidden")) {
		code.disabled = false;
	}
}